(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "@babel/runtime/helpers/extends", "react", "@risserlabs/auto-contrast", "./props", "../AspectRatio", "../Image"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("@babel/runtime/helpers/extends"), require("react"), require("@risserlabs/auto-contrast"), require("./props"), require("../AspectRatio"), require("../Image"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global._extends, global.react, global.autoContrast, global.props, global.AspectRatio, global.Image);
    global.index = mod.exports;
  }
})(typeof globalThis !== "undefined" ? globalThis : typeof self !== "undefined" ? self : this, function (_exports, _extends2, _react, _autoContrast, _props, _AspectRatio, _Image) {
  "use strict";

  var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports.AspectImage = void 0;
  _extends2 = _interopRequireDefault(_extends2);
  _react = _interopRequireDefault(_react);
  /**
   * File: /src/components/AspectImage/index.tsx
   * Project: @native-theme-ui/core
   * File Created: 23-06-2022 03:43:01
   * Author: K S R P BHUSHAN
   * -----
   * Last Modified: 02-09-2022 11:12:21
   * Modified By: Clay Risser
   * -----
   * Risser Labs LLC (c) Copyright 2021 - 2022
   *
   * Licensed under the Apache License, Version 2.0 (the "License");
   * you may not use this file except in compliance with the License.
   * You may obtain a copy of the License at
   *
   *     http://www.apache.org/licenses/LICENSE-2.0
   *
   * Unless required by applicable law or agreed to in writing, software
   * distributed under the License is distributed on an "AS IS" BASIS,
   * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   * See the License for the specific language governing permissions and
   * limitations under the License.
   */

  const AspectImage = props => {
    const sx = (0, _autoContrast.useCalculatedSx)(props.sx);
    const {
      aspectRatioProps,
      aspectRatioStyle,
      aspectRatioSx,
      baseProps,
      baseStyle,
      baseSx,
      sharedStyle,
      sharedSx
    } = (0, _props.useSplitProps)(props, {
      objectFit: 'cover',
      ...sx
    });
    return /*#__PURE__*/_react.default.createElement(_AspectRatio.AspectRatio, (0, _extends2.default)({}, aspectRatioProps, {
      sx: {
        ...sharedSx,
        ...aspectRatioSx
      },
      style: {
        ...sharedStyle,
        ...aspectRatioStyle
      }
    }), /*#__PURE__*/_react.default.createElement(_Image.Image, (0, _extends2.default)({}, baseProps, {
      sx: {
        ...sharedSx,
        ...baseSx
      },
      style: {
        ...sharedStyle,
        ...baseStyle
      }
    })));
  };
  _exports.AspectImage = AspectImage;
});
//# sourceMappingURL=index.js.map