/**
 * File: /src/components/Button/index.tsx
 * Project: @native-theme-ui/core
 * File Created: 17-06-2022 07:34:18
 * Author: Clay Risser
 * -----
 * Last Modified: 13-12-2022 11:28:12
 * Modified By: Clay Risser
 * -----
 * Risser Labs LLC (c) Copyright 2021 - 2022
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
/// <reference types="react-native-reanimated" />
import { View } from 'react-native';
import React, { PropsWithRef } from 'react';
import { ButtonProps as Props } from './props';
import { RefAttributes } from 'react';
export declare const Button: React.ForwardRefExoticComponent<((import("dripsy").StyledProps<keyof import("dripsy").Theme> & {
    onFocus?: (() => void) | undefined;
    onBlur?: (() => void) | undefined;
    transition?: import("moti/interactions").MotiPressableTransitionProp | undefined;
    animate?: import("moti/interactions").MotiPressableProp;
    state?: undefined;
    onPress?: (() => void) | undefined;
    onPressIn?: (() => void) | undefined;
    onPressOut?: (() => void) | undefined;
    onHoverIn?: (() => void) | undefined;
    onHoverOut?: (() => void) | undefined;
    onKeyDown?: ((e: KeyboardEvent) => void) | undefined;
    onKeyUp?: ((e: KeyboardEvent) => void) | undefined;
    onLongPress?: (() => void) | undefined;
    hitSlop?: import("react-native").Insets | undefined;
    id?: string | undefined;
    disabled?: boolean | undefined;
    containerStyle?: import("react-native").ViewStyle | undefined;
    dangerouslySilenceDuplicateIdsWarning?: boolean | undefined;
    pressedValue?: {
        value: boolean;
    } | undefined;
    hoveredValue?: {
        value: boolean;
    } | undefined;
    onContainerLayout?: ((event: import("react-native").LayoutChangeEvent) => void) | undefined;
    href?: string | undefined;
    children?: React.ReactNode | ((interaction: Readonly<{
        value: import("moti/interactions").MotiPressableInteractionState;
    }>) => React.ReactNode);
} & Pick<import("react-native").ViewProps & {
    animatedProps?: Partial<import("react-native").ViewProps> | undefined;
    layout?: import("react-native-reanimated").BaseAnimationBuilder | import("react-native-reanimated").LayoutAnimationFunction | typeof import("react-native-reanimated").BaseAnimationBuilder | undefined;
    entering?: import("react-native-reanimated").BaseAnimationBuilder | typeof import("react-native-reanimated").BaseAnimationBuilder | ((targetValues: import("react-native-reanimated").EntryAnimationsValues) => import("react-native-reanimated").LayoutAnimation) | ((targetValues: import("react-native-reanimated").ExitAnimationsValues) => import("react-native-reanimated").LayoutAnimation) | Keyframe | undefined;
    exiting?: import("react-native-reanimated").BaseAnimationBuilder | typeof import("react-native-reanimated").BaseAnimationBuilder | Keyframe | ((targetValues: import("react-native-reanimated").EntryAnimationsValues) => import("react-native-reanimated").LayoutAnimation) | ((targetValues: import("react-native-reanimated").ExitAnimationsValues) => import("react-native-reanimated").LayoutAnimation) | undefined;
} & import("moti").MotiProps<import("react-native").ViewStyle | import("react-native").TextStyle | import("react-native").ImageStyle, import("moti").StyleValueWithReplacedTransforms<import("react-native").ViewStyle | import("react-native").TextStyle | import("react-native").ImageStyle>, Partial<import("moti").StyleValueWithSequenceArraysWithoutTransform<import("moti").StyleValueWithReplacedTransforms<import("react-native").ViewStyle | import("react-native").TextStyle | import("react-native").ImageStyle>, "borderRadius" | "borderTopWidth" | "zIndex" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "backfaceVisibility" | "backgroundColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomWidth" | "borderLeftWidth" | "borderRightWidth" | "borderTopLeftRadius" | "borderTopRightRadius" | "bottom" | "direction" | "display" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "height" | "justifyContent" | "left" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "opacity" | "paddingBottom" | "paddingLeft" | "paddingRight" | "paddingTop" | "perspective" | "position" | "right" | "rotate" | "scale" | "top" | "transform" | "width" | "borderColor" | "borderWidth" | "flex" | "margin" | "overflow" | "padding" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "borderEndWidth" | "borderStartWidth" | "end" | "marginEnd" | "marginHorizontal" | "marginStart" | "marginVertical" | "paddingEnd" | "paddingHorizontal" | "paddingStart" | "paddingVertical" | "start" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "rotateX" | "rotateY" | "rotateZ" | "skewX" | "skewY", "borderRadius" | "borderTopWidth" | "zIndex" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "backfaceVisibility" | "backgroundColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomWidth" | "borderLeftWidth" | "borderRightWidth" | "borderTopLeftRadius" | "borderTopRightRadius" | "bottom" | "direction" | "display" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "height" | "justifyContent" | "left" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "opacity" | "paddingBottom" | "paddingLeft" | "paddingRight" | "paddingTop" | "perspective" | "position" | "right" | "rotate" | "scale" | "top" | "width" | "borderColor" | "borderWidth" | "flex" | "margin" | "overflow" | "padding" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "borderEndWidth" | "borderStartWidth" | "end" | "marginEnd" | "marginHorizontal" | "marginStart" | "marginVertical" | "paddingEnd" | "paddingHorizontal" | "paddingStart" | "paddingVertical" | "start" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "rotateX" | "rotateY" | "rotateZ" | "skewX" | "skewY"> & import("moti").StyleValueWithSequenceArraysWithTransform>> & {
    children?: React.ReactNode;
} & React.RefAttributes<unknown>, "exit" | "exitTransition" | "from" | "style" | "onLayout"> & Pick<import("react-native").PressableProps, "accessible" | "accessibilityActions" | "accessibilityLabel" | "accessibilityRole" | "accessibilityState" | "accessibilityHint" | "accessibilityValue" | "onAccessibilityAction" | "accessibilityLiveRegion" | "importantForAccessibility" | "accessibilityElementsHidden" | "accessibilityViewIsModal" | "onAccessibilityEscape" | "onAccessibilityTap" | "accessibilityIgnoresInvertColors"> & {
    children?: React.ReactNode;
} & {
    hidden?: boolean | undefined;
} & import("react-native").TextProps & import("moti").MotiProps<import("react-native").ImageStyle & import("react-native").TextStyle & import("react-native").ViewStyle, import("moti").StyleValueWithReplacedTransforms<import("react-native").ImageStyle & import("react-native").TextStyle & import("react-native").ViewStyle>, Partial<import("moti").StyleValueWithSequenceArraysWithoutTransform<import("moti").StyleValueWithReplacedTransforms<import("react-native").ImageStyle & import("react-native").TextStyle & import("react-native").ViewStyle>, "borderRadius" | "color" | "fontWeight" | "borderTopWidth" | "zIndex" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "backfaceVisibility" | "backgroundColor" | "borderBottomColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomWidth" | "borderLeftColor" | "borderLeftWidth" | "borderRightColor" | "borderRightWidth" | "borderTopColor" | "borderTopLeftRadius" | "borderTopRightRadius" | "bottom" | "direction" | "display" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "fontFamily" | "fontSize" | "fontStyle" | "fontVariant" | "height" | "justifyContent" | "left" | "letterSpacing" | "lineHeight" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "opacity" | "paddingBottom" | "paddingLeft" | "paddingRight" | "paddingTop" | "perspective" | "position" | "right" | "rotate" | "scale" | "textAlign" | "textDecorationColor" | "textDecorationLine" | "textDecorationStyle" | "textTransform" | "top" | "transform" | "width" | "borderColor" | "borderStyle" | "borderWidth" | "flex" | "margin" | "overflow" | "padding" | "elevation" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "textShadowColor" | "textShadowOffset" | "textShadowRadius" | "borderBottomEndRadius" | "borderBottomStartRadius" | "borderEndColor" | "borderStartColor" | "borderTopEndRadius" | "borderTopStartRadius" | "testID" | "borderEndWidth" | "borderStartWidth" | "end" | "marginEnd" | "marginHorizontal" | "marginStart" | "marginVertical" | "paddingEnd" | "paddingHorizontal" | "paddingStart" | "paddingVertical" | "start" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "writingDirection" | "textAlignVertical" | "includeFontPadding" | "resizeMode" | "overlayColor" | "tintColor" | "rotateX" | "rotateY" | "rotateZ" | "skewX" | "skewY", "borderRadius" | "color" | "fontWeight" | "borderTopWidth" | "zIndex" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "backfaceVisibility" | "backgroundColor" | "borderBottomColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomWidth" | "borderLeftColor" | "borderLeftWidth" | "borderRightColor" | "borderRightWidth" | "borderTopColor" | "borderTopLeftRadius" | "borderTopRightRadius" | "bottom" | "direction" | "display" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "fontFamily" | "fontSize" | "fontStyle" | "fontVariant" | "height" | "justifyContent" | "left" | "letterSpacing" | "lineHeight" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "opacity" | "paddingBottom" | "paddingLeft" | "paddingRight" | "paddingTop" | "perspective" | "position" | "right" | "rotate" | "scale" | "textAlign" | "textDecorationColor" | "textDecorationLine" | "textDecorationStyle" | "textTransform" | "top" | "width" | "borderColor" | "borderStyle" | "borderWidth" | "flex" | "margin" | "overflow" | "padding" | "elevation" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "textShadowColor" | "textShadowOffset" | "textShadowRadius" | "borderBottomEndRadius" | "borderBottomStartRadius" | "borderEndColor" | "borderStartColor" | "borderTopEndRadius" | "borderTopStartRadius" | "testID" | "borderEndWidth" | "borderStartWidth" | "end" | "marginEnd" | "marginHorizontal" | "marginStart" | "marginVertical" | "paddingEnd" | "paddingHorizontal" | "paddingStart" | "paddingVertical" | "start" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "writingDirection" | "textAlignVertical" | "includeFontPadding" | "resizeMode" | "overlayColor" | "tintColor" | "rotateX" | "rotateY" | "rotateZ" | "skewX" | "skewY"> & import("moti").StyleValueWithSequenceArraysWithTransform>> & {
    autoContrast?: import("@risserlabs/auto-contrast").AutoContrast | undefined;
} & import("../Text/props").MotiPropsBucket & import("./props").MotiPropsBucket) | Pick<import("dripsy").StyledProps<keyof import("dripsy").Theme> & {
    onFocus?: (() => void) | undefined;
    onBlur?: (() => void) | undefined;
    transition?: import("moti/interactions").MotiPressableTransitionProp | undefined;
    animate?: import("moti/interactions").MotiPressableProp;
    state?: undefined;
    onPress?: (() => void) | undefined;
    onPressIn?: (() => void) | undefined;
    onPressOut?: (() => void) | undefined;
    onHoverIn?: (() => void) | undefined;
    onHoverOut?: (() => void) | undefined;
    onKeyDown?: ((e: KeyboardEvent) => void) | undefined;
    onKeyUp?: ((e: KeyboardEvent) => void) | undefined;
    onLongPress?: (() => void) | undefined;
    hitSlop?: import("react-native").Insets | undefined;
    id?: string | undefined;
    disabled?: boolean | undefined;
    containerStyle?: import("react-native").ViewStyle | undefined;
    dangerouslySilenceDuplicateIdsWarning?: boolean | undefined;
    pressedValue?: {
        value: boolean;
    } | undefined;
    hoveredValue?: {
        value: boolean;
    } | undefined;
    onContainerLayout?: ((event: import("react-native").LayoutChangeEvent) => void) | undefined;
    href?: string | undefined;
    children?: React.ReactNode | ((interaction: Readonly<{
        value: import("moti/interactions").MotiPressableInteractionState;
    }>) => React.ReactNode);
} & Pick<import("react-native").ViewProps & {
    animatedProps?: Partial<import("react-native").ViewProps> | undefined;
    layout?: import("react-native-reanimated").BaseAnimationBuilder | import("react-native-reanimated").LayoutAnimationFunction | typeof import("react-native-reanimated").BaseAnimationBuilder | undefined;
    entering?: import("react-native-reanimated").BaseAnimationBuilder | typeof import("react-native-reanimated").BaseAnimationBuilder | ((targetValues: import("react-native-reanimated").EntryAnimationsValues) => import("react-native-reanimated").LayoutAnimation) | ((targetValues: import("react-native-reanimated").ExitAnimationsValues) => import("react-native-reanimated").LayoutAnimation) | Keyframe | undefined;
    exiting?: import("react-native-reanimated").BaseAnimationBuilder | typeof import("react-native-reanimated").BaseAnimationBuilder | Keyframe | ((targetValues: import("react-native-reanimated").EntryAnimationsValues) => import("react-native-reanimated").LayoutAnimation) | ((targetValues: import("react-native-reanimated").ExitAnimationsValues) => import("react-native-reanimated").LayoutAnimation) | undefined;
} & import("moti").MotiProps<import("react-native").ViewStyle | import("react-native").TextStyle | import("react-native").ImageStyle, import("moti").StyleValueWithReplacedTransforms<import("react-native").ViewStyle | import("react-native").TextStyle | import("react-native").ImageStyle>, Partial<import("moti").StyleValueWithSequenceArraysWithoutTransform<import("moti").StyleValueWithReplacedTransforms<import("react-native").ViewStyle | import("react-native").TextStyle | import("react-native").ImageStyle>, "borderRadius" | "borderTopWidth" | "zIndex" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "backfaceVisibility" | "backgroundColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomWidth" | "borderLeftWidth" | "borderRightWidth" | "borderTopLeftRadius" | "borderTopRightRadius" | "bottom" | "direction" | "display" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "height" | "justifyContent" | "left" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "opacity" | "paddingBottom" | "paddingLeft" | "paddingRight" | "paddingTop" | "perspective" | "position" | "right" | "rotate" | "scale" | "top" | "transform" | "width" | "borderColor" | "borderWidth" | "flex" | "margin" | "overflow" | "padding" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "borderEndWidth" | "borderStartWidth" | "end" | "marginEnd" | "marginHorizontal" | "marginStart" | "marginVertical" | "paddingEnd" | "paddingHorizontal" | "paddingStart" | "paddingVertical" | "start" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "rotateX" | "rotateY" | "rotateZ" | "skewX" | "skewY", "borderRadius" | "borderTopWidth" | "zIndex" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "backfaceVisibility" | "backgroundColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomWidth" | "borderLeftWidth" | "borderRightWidth" | "borderTopLeftRadius" | "borderTopRightRadius" | "bottom" | "direction" | "display" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "height" | "justifyContent" | "left" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "opacity" | "paddingBottom" | "paddingLeft" | "paddingRight" | "paddingTop" | "perspective" | "position" | "right" | "rotate" | "scale" | "top" | "width" | "borderColor" | "borderWidth" | "flex" | "margin" | "overflow" | "padding" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "borderEndWidth" | "borderStartWidth" | "end" | "marginEnd" | "marginHorizontal" | "marginStart" | "marginVertical" | "paddingEnd" | "paddingHorizontal" | "paddingStart" | "paddingVertical" | "start" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "rotateX" | "rotateY" | "rotateZ" | "skewX" | "skewY"> & import("moti").StyleValueWithSequenceArraysWithTransform>> & {
    children?: React.ReactNode;
} & React.RefAttributes<unknown>, "exit" | "exitTransition" | "from" | "style" | "onLayout"> & Pick<import("react-native").PressableProps, "accessible" | "accessibilityActions" | "accessibilityLabel" | "accessibilityRole" | "accessibilityState" | "accessibilityHint" | "accessibilityValue" | "onAccessibilityAction" | "accessibilityLiveRegion" | "importantForAccessibility" | "accessibilityElementsHidden" | "accessibilityViewIsModal" | "onAccessibilityEscape" | "onAccessibilityTap" | "accessibilityIgnoresInvertColors"> & React.RefAttributes<React.Component<import("moti/interactions").MotiPressableProps, any, any>> & {
    hidden?: boolean | undefined;
} & import("react-native").TextProps & React.RefAttributes<React.Component<import("react-native").TextProps, any, any>> & import("moti").MotiProps<import("react-native").ImageStyle & import("react-native").TextStyle & import("react-native").ViewStyle, import("moti").StyleValueWithReplacedTransforms<import("react-native").ImageStyle & import("react-native").TextStyle & import("react-native").ViewStyle>, Partial<import("moti").StyleValueWithSequenceArraysWithoutTransform<import("moti").StyleValueWithReplacedTransforms<import("react-native").ImageStyle & import("react-native").TextStyle & import("react-native").ViewStyle>, "borderRadius" | "color" | "fontWeight" | "borderTopWidth" | "zIndex" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "backfaceVisibility" | "backgroundColor" | "borderBottomColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomWidth" | "borderLeftColor" | "borderLeftWidth" | "borderRightColor" | "borderRightWidth" | "borderTopColor" | "borderTopLeftRadius" | "borderTopRightRadius" | "bottom" | "direction" | "display" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "fontFamily" | "fontSize" | "fontStyle" | "fontVariant" | "height" | "justifyContent" | "left" | "letterSpacing" | "lineHeight" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "opacity" | "paddingBottom" | "paddingLeft" | "paddingRight" | "paddingTop" | "perspective" | "position" | "right" | "rotate" | "scale" | "textAlign" | "textDecorationColor" | "textDecorationLine" | "textDecorationStyle" | "textTransform" | "top" | "transform" | "width" | "borderColor" | "borderStyle" | "borderWidth" | "flex" | "margin" | "overflow" | "padding" | "elevation" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "textShadowColor" | "textShadowOffset" | "textShadowRadius" | "borderBottomEndRadius" | "borderBottomStartRadius" | "borderEndColor" | "borderStartColor" | "borderTopEndRadius" | "borderTopStartRadius" | "testID" | "borderEndWidth" | "borderStartWidth" | "end" | "marginEnd" | "marginHorizontal" | "marginStart" | "marginVertical" | "paddingEnd" | "paddingHorizontal" | "paddingStart" | "paddingVertical" | "start" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "writingDirection" | "textAlignVertical" | "includeFontPadding" | "resizeMode" | "overlayColor" | "tintColor" | "rotateX" | "rotateY" | "rotateZ" | "skewX" | "skewY", "borderRadius" | "color" | "fontWeight" | "borderTopWidth" | "zIndex" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "backfaceVisibility" | "backgroundColor" | "borderBottomColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomWidth" | "borderLeftColor" | "borderLeftWidth" | "borderRightColor" | "borderRightWidth" | "borderTopColor" | "borderTopLeftRadius" | "borderTopRightRadius" | "bottom" | "direction" | "display" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "fontFamily" | "fontSize" | "fontStyle" | "fontVariant" | "height" | "justifyContent" | "left" | "letterSpacing" | "lineHeight" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "opacity" | "paddingBottom" | "paddingLeft" | "paddingRight" | "paddingTop" | "perspective" | "position" | "right" | "rotate" | "scale" | "textAlign" | "textDecorationColor" | "textDecorationLine" | "textDecorationStyle" | "textTransform" | "top" | "width" | "borderColor" | "borderStyle" | "borderWidth" | "flex" | "margin" | "overflow" | "padding" | "elevation" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "textShadowColor" | "textShadowOffset" | "textShadowRadius" | "borderBottomEndRadius" | "borderBottomStartRadius" | "borderEndColor" | "borderStartColor" | "borderTopEndRadius" | "borderTopStartRadius" | "testID" | "borderEndWidth" | "borderStartWidth" | "end" | "marginEnd" | "marginHorizontal" | "marginStart" | "marginVertical" | "paddingEnd" | "paddingHorizontal" | "paddingStart" | "paddingVertical" | "start" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "writingDirection" | "textAlignVertical" | "includeFontPadding" | "resizeMode" | "overlayColor" | "tintColor" | "rotateX" | "rotateY" | "rotateZ" | "skewX" | "skewY"> & import("moti").StyleValueWithSequenceArraysWithTransform>> & {
    autoContrast?: import("@risserlabs/auto-contrast").AutoContrast | undefined;
} & import("../Text/props").MotiPropsBucket & import("./props").MotiPropsBucket, "autoContrast" | "variants" | "children" | "transition" | "variant" | "testID" | "hidden" | "animate" | "animateInitialState" | "animateSx" | "delay" | "exit" | "exitSx" | "exitTransition" | "from" | "fromSx" | "onDidAnimate" | "state" | "stylePriority" | "onHoverIn" | "onHoverOut" | "onKeyDown" | "onKeyUp" | "onLongPress" | "onPress" | "onPressIn" | "onPressOut" | "key" | "style" | "sx" | "allowFontScaling" | "ellipsizeMode" | "lineBreakMode" | "numberOfLines" | "onLayout" | "onTextLayout" | "nativeID" | "maxFontSizeMultiplier" | "adjustsFontSizeToFit" | "minimumFontScale" | "suppressHighlighting" | "disabled" | "selectable" | "selectionColor" | "textBreakStrategy" | "dataDetectorType" | "android_hyphenationFrequency" | "accessible" | "accessibilityActions" | "accessibilityLabel" | "accessibilityRole" | "accessibilityState" | "accessibilityHint" | "accessibilityValue" | "onAccessibilityAction" | "accessibilityLabelledBy" | "accessibilityLiveRegion" | "importantForAccessibility" | "accessibilityElementsHidden" | "accessibilityLanguage" | "accessibilityViewIsModal" | "onAccessibilityEscape" | "onAccessibilityTap" | "onMagicTap" | "accessibilityIgnoresInvertColors" | "themeKey" | "as" | "id" | "href" | "onFocus" | "onBlur" | "hitSlop" | "containerStyle" | "dangerouslySilenceDuplicateIdsWarning" | "pressedValue" | "hoveredValue" | "onContainerLayout"> | Pick<import("dripsy").StyledProps<keyof import("dripsy").Theme> & {
    onFocus?: (() => void) | undefined;
    onBlur?: (() => void) | undefined;
    transition?: import("moti/interactions").MotiPressableTransitionProp | undefined;
    animate?: import("moti/interactions").MotiPressableProp;
    state?: undefined;
    onPress?: (() => void) | undefined;
    onPressIn?: (() => void) | undefined;
    onPressOut?: (() => void) | undefined;
    onHoverIn?: (() => void) | undefined;
    onHoverOut?: (() => void) | undefined;
    onKeyDown?: ((e: KeyboardEvent) => void) | undefined;
    onKeyUp?: ((e: KeyboardEvent) => void) | undefined;
    onLongPress?: (() => void) | undefined;
    hitSlop?: import("react-native").Insets | undefined;
    id?: string | undefined;
    disabled?: boolean | undefined;
    containerStyle?: import("react-native").ViewStyle | undefined;
    dangerouslySilenceDuplicateIdsWarning?: boolean | undefined;
    pressedValue?: {
        value: boolean;
    } | undefined;
    hoveredValue?: {
        value: boolean;
    } | undefined;
    onContainerLayout?: ((event: import("react-native").LayoutChangeEvent) => void) | undefined;
    href?: string | undefined;
    children?: React.ReactNode | ((interaction: Readonly<{
        value: import("moti/interactions").MotiPressableInteractionState;
    }>) => React.ReactNode);
} & Pick<import("react-native").ViewProps & {
    animatedProps?: Partial<import("react-native").ViewProps> | undefined;
    layout?: import("react-native-reanimated").BaseAnimationBuilder | import("react-native-reanimated").LayoutAnimationFunction | typeof import("react-native-reanimated").BaseAnimationBuilder | undefined;
    entering?: import("react-native-reanimated").BaseAnimationBuilder | typeof import("react-native-reanimated").BaseAnimationBuilder | ((targetValues: import("react-native-reanimated").EntryAnimationsValues) => import("react-native-reanimated").LayoutAnimation) | ((targetValues: import("react-native-reanimated").ExitAnimationsValues) => import("react-native-reanimated").LayoutAnimation) | Keyframe | undefined;
    exiting?: import("react-native-reanimated").BaseAnimationBuilder | typeof import("react-native-reanimated").BaseAnimationBuilder | Keyframe | ((targetValues: import("react-native-reanimated").EntryAnimationsValues) => import("react-native-reanimated").LayoutAnimation) | ((targetValues: import("react-native-reanimated").ExitAnimationsValues) => import("react-native-reanimated").LayoutAnimation) | undefined;
} & import("moti").MotiProps<import("react-native").ViewStyle | import("react-native").TextStyle | import("react-native").ImageStyle, import("moti").StyleValueWithReplacedTransforms<import("react-native").ViewStyle | import("react-native").TextStyle | import("react-native").ImageStyle>, Partial<import("moti").StyleValueWithSequenceArraysWithoutTransform<import("moti").StyleValueWithReplacedTransforms<import("react-native").ViewStyle | import("react-native").TextStyle | import("react-native").ImageStyle>, "borderRadius" | "borderTopWidth" | "zIndex" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "backfaceVisibility" | "backgroundColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomWidth" | "borderLeftWidth" | "borderRightWidth" | "borderTopLeftRadius" | "borderTopRightRadius" | "bottom" | "direction" | "display" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "height" | "justifyContent" | "left" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "opacity" | "paddingBottom" | "paddingLeft" | "paddingRight" | "paddingTop" | "perspective" | "position" | "right" | "rotate" | "scale" | "top" | "transform" | "width" | "borderColor" | "borderWidth" | "flex" | "margin" | "overflow" | "padding" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "borderEndWidth" | "borderStartWidth" | "end" | "marginEnd" | "marginHorizontal" | "marginStart" | "marginVertical" | "paddingEnd" | "paddingHorizontal" | "paddingStart" | "paddingVertical" | "start" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "rotateX" | "rotateY" | "rotateZ" | "skewX" | "skewY", "borderRadius" | "borderTopWidth" | "zIndex" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "backfaceVisibility" | "backgroundColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomWidth" | "borderLeftWidth" | "borderRightWidth" | "borderTopLeftRadius" | "borderTopRightRadius" | "bottom" | "direction" | "display" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "height" | "justifyContent" | "left" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "opacity" | "paddingBottom" | "paddingLeft" | "paddingRight" | "paddingTop" | "perspective" | "position" | "right" | "rotate" | "scale" | "top" | "width" | "borderColor" | "borderWidth" | "flex" | "margin" | "overflow" | "padding" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "borderEndWidth" | "borderStartWidth" | "end" | "marginEnd" | "marginHorizontal" | "marginStart" | "marginVertical" | "paddingEnd" | "paddingHorizontal" | "paddingStart" | "paddingVertical" | "start" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "rotateX" | "rotateY" | "rotateZ" | "skewX" | "skewY"> & import("moti").StyleValueWithSequenceArraysWithTransform>> & {
    children?: React.ReactNode;
} & React.RefAttributes<unknown>, "exit" | "exitTransition" | "from" | "style" | "onLayout"> & Pick<import("react-native").PressableProps, "accessible" | "accessibilityActions" | "accessibilityLabel" | "accessibilityRole" | "accessibilityState" | "accessibilityHint" | "accessibilityValue" | "onAccessibilityAction" | "accessibilityLiveRegion" | "importantForAccessibility" | "accessibilityElementsHidden" | "accessibilityViewIsModal" | "onAccessibilityEscape" | "onAccessibilityTap" | "accessibilityIgnoresInvertColors"> & React.RefAttributes<React.Component<import("moti/interactions").MotiPressableProps, any, any>> & {
    hidden?: boolean | undefined;
} & import("react-native").TextProps & {
    children?: React.ReactNode;
} & import("moti").MotiProps<import("react-native").ImageStyle & import("react-native").TextStyle & import("react-native").ViewStyle, import("moti").StyleValueWithReplacedTransforms<import("react-native").ImageStyle & import("react-native").TextStyle & import("react-native").ViewStyle>, Partial<import("moti").StyleValueWithSequenceArraysWithoutTransform<import("moti").StyleValueWithReplacedTransforms<import("react-native").ImageStyle & import("react-native").TextStyle & import("react-native").ViewStyle>, "borderRadius" | "color" | "fontWeight" | "borderTopWidth" | "zIndex" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "backfaceVisibility" | "backgroundColor" | "borderBottomColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomWidth" | "borderLeftColor" | "borderLeftWidth" | "borderRightColor" | "borderRightWidth" | "borderTopColor" | "borderTopLeftRadius" | "borderTopRightRadius" | "bottom" | "direction" | "display" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "fontFamily" | "fontSize" | "fontStyle" | "fontVariant" | "height" | "justifyContent" | "left" | "letterSpacing" | "lineHeight" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "opacity" | "paddingBottom" | "paddingLeft" | "paddingRight" | "paddingTop" | "perspective" | "position" | "right" | "rotate" | "scale" | "textAlign" | "textDecorationColor" | "textDecorationLine" | "textDecorationStyle" | "textTransform" | "top" | "transform" | "width" | "borderColor" | "borderStyle" | "borderWidth" | "flex" | "margin" | "overflow" | "padding" | "elevation" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "textShadowColor" | "textShadowOffset" | "textShadowRadius" | "borderBottomEndRadius" | "borderBottomStartRadius" | "borderEndColor" | "borderStartColor" | "borderTopEndRadius" | "borderTopStartRadius" | "testID" | "borderEndWidth" | "borderStartWidth" | "end" | "marginEnd" | "marginHorizontal" | "marginStart" | "marginVertical" | "paddingEnd" | "paddingHorizontal" | "paddingStart" | "paddingVertical" | "start" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "writingDirection" | "textAlignVertical" | "includeFontPadding" | "resizeMode" | "overlayColor" | "tintColor" | "rotateX" | "rotateY" | "rotateZ" | "skewX" | "skewY", "borderRadius" | "color" | "fontWeight" | "borderTopWidth" | "zIndex" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "backfaceVisibility" | "backgroundColor" | "borderBottomColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomWidth" | "borderLeftColor" | "borderLeftWidth" | "borderRightColor" | "borderRightWidth" | "borderTopColor" | "borderTopLeftRadius" | "borderTopRightRadius" | "bottom" | "direction" | "display" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "fontFamily" | "fontSize" | "fontStyle" | "fontVariant" | "height" | "justifyContent" | "left" | "letterSpacing" | "lineHeight" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "opacity" | "paddingBottom" | "paddingLeft" | "paddingRight" | "paddingTop" | "perspective" | "position" | "right" | "rotate" | "scale" | "textAlign" | "textDecorationColor" | "textDecorationLine" | "textDecorationStyle" | "textTransform" | "top" | "width" | "borderColor" | "borderStyle" | "borderWidth" | "flex" | "margin" | "overflow" | "padding" | "elevation" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "textShadowColor" | "textShadowOffset" | "textShadowRadius" | "borderBottomEndRadius" | "borderBottomStartRadius" | "borderEndColor" | "borderStartColor" | "borderTopEndRadius" | "borderTopStartRadius" | "testID" | "borderEndWidth" | "borderStartWidth" | "end" | "marginEnd" | "marginHorizontal" | "marginStart" | "marginVertical" | "paddingEnd" | "paddingHorizontal" | "paddingStart" | "paddingVertical" | "start" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "writingDirection" | "textAlignVertical" | "includeFontPadding" | "resizeMode" | "overlayColor" | "tintColor" | "rotateX" | "rotateY" | "rotateZ" | "skewX" | "skewY"> & import("moti").StyleValueWithSequenceArraysWithTransform>> & {
    autoContrast?: import("@risserlabs/auto-contrast").AutoContrast | undefined;
} & import("../Text/props").MotiPropsBucket & import("./props").MotiPropsBucket, "autoContrast" | "variants" | "children" | "transition" | "variant" | "testID" | "hidden" | "animate" | "animateInitialState" | "animateSx" | "delay" | "exit" | "exitSx" | "exitTransition" | "from" | "fromSx" | "onDidAnimate" | "state" | "stylePriority" | "onHoverIn" | "onHoverOut" | "onKeyDown" | "onKeyUp" | "onLongPress" | "onPress" | "onPressIn" | "onPressOut" | "key" | "style" | "sx" | "allowFontScaling" | "ellipsizeMode" | "lineBreakMode" | "numberOfLines" | "onLayout" | "onTextLayout" | "nativeID" | "maxFontSizeMultiplier" | "adjustsFontSizeToFit" | "minimumFontScale" | "suppressHighlighting" | "disabled" | "selectable" | "selectionColor" | "textBreakStrategy" | "dataDetectorType" | "android_hyphenationFrequency" | "accessible" | "accessibilityActions" | "accessibilityLabel" | "accessibilityRole" | "accessibilityState" | "accessibilityHint" | "accessibilityValue" | "onAccessibilityAction" | "accessibilityLabelledBy" | "accessibilityLiveRegion" | "importantForAccessibility" | "accessibilityElementsHidden" | "accessibilityLanguage" | "accessibilityViewIsModal" | "onAccessibilityEscape" | "onAccessibilityTap" | "onMagicTap" | "accessibilityIgnoresInvertColors" | "themeKey" | "as" | "id" | "href" | "onFocus" | "onBlur" | "hitSlop" | "containerStyle" | "dangerouslySilenceDuplicateIdsWarning" | "pressedValue" | "hoveredValue" | "onContainerLayout"> | Pick<import("dripsy").StyledProps<keyof import("dripsy").Theme> & {
    onFocus?: (() => void) | undefined;
    onBlur?: (() => void) | undefined;
    transition?: import("moti/interactions").MotiPressableTransitionProp | undefined;
    animate?: import("moti/interactions").MotiPressableProp;
    state?: undefined;
    onPress?: (() => void) | undefined;
    onPressIn?: (() => void) | undefined;
    onPressOut?: (() => void) | undefined;
    onHoverIn?: (() => void) | undefined;
    onHoverOut?: (() => void) | undefined;
    onKeyDown?: ((e: KeyboardEvent) => void) | undefined;
    onKeyUp?: ((e: KeyboardEvent) => void) | undefined;
    onLongPress?: (() => void) | undefined;
    hitSlop?: import("react-native").Insets | undefined;
    id?: string | undefined;
    disabled?: boolean | undefined;
    containerStyle?: import("react-native").ViewStyle | undefined;
    dangerouslySilenceDuplicateIdsWarning?: boolean | undefined;
    pressedValue?: {
        value: boolean;
    } | undefined;
    hoveredValue?: {
        value: boolean;
    } | undefined;
    onContainerLayout?: ((event: import("react-native").LayoutChangeEvent) => void) | undefined;
    href?: string | undefined;
    children?: React.ReactNode | ((interaction: Readonly<{
        value: import("moti/interactions").MotiPressableInteractionState;
    }>) => React.ReactNode);
} & Pick<import("react-native").ViewProps & {
    animatedProps?: Partial<import("react-native").ViewProps> | undefined;
    layout?: import("react-native-reanimated").BaseAnimationBuilder | import("react-native-reanimated").LayoutAnimationFunction | typeof import("react-native-reanimated").BaseAnimationBuilder | undefined;
    entering?: import("react-native-reanimated").BaseAnimationBuilder | typeof import("react-native-reanimated").BaseAnimationBuilder | ((targetValues: import("react-native-reanimated").EntryAnimationsValues) => import("react-native-reanimated").LayoutAnimation) | ((targetValues: import("react-native-reanimated").ExitAnimationsValues) => import("react-native-reanimated").LayoutAnimation) | Keyframe | undefined;
    exiting?: import("react-native-reanimated").BaseAnimationBuilder | typeof import("react-native-reanimated").BaseAnimationBuilder | Keyframe | ((targetValues: import("react-native-reanimated").EntryAnimationsValues) => import("react-native-reanimated").LayoutAnimation) | ((targetValues: import("react-native-reanimated").ExitAnimationsValues) => import("react-native-reanimated").LayoutAnimation) | undefined;
} & import("moti").MotiProps<import("react-native").ViewStyle | import("react-native").TextStyle | import("react-native").ImageStyle, import("moti").StyleValueWithReplacedTransforms<import("react-native").ViewStyle | import("react-native").TextStyle | import("react-native").ImageStyle>, Partial<import("moti").StyleValueWithSequenceArraysWithoutTransform<import("moti").StyleValueWithReplacedTransforms<import("react-native").ViewStyle | import("react-native").TextStyle | import("react-native").ImageStyle>, "borderRadius" | "borderTopWidth" | "zIndex" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "backfaceVisibility" | "backgroundColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomWidth" | "borderLeftWidth" | "borderRightWidth" | "borderTopLeftRadius" | "borderTopRightRadius" | "bottom" | "direction" | "display" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "height" | "justifyContent" | "left" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "opacity" | "paddingBottom" | "paddingLeft" | "paddingRight" | "paddingTop" | "perspective" | "position" | "right" | "rotate" | "scale" | "top" | "transform" | "width" | "borderColor" | "borderWidth" | "flex" | "margin" | "overflow" | "padding" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "borderEndWidth" | "borderStartWidth" | "end" | "marginEnd" | "marginHorizontal" | "marginStart" | "marginVertical" | "paddingEnd" | "paddingHorizontal" | "paddingStart" | "paddingVertical" | "start" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "rotateX" | "rotateY" | "rotateZ" | "skewX" | "skewY", "borderRadius" | "borderTopWidth" | "zIndex" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "backfaceVisibility" | "backgroundColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomWidth" | "borderLeftWidth" | "borderRightWidth" | "borderTopLeftRadius" | "borderTopRightRadius" | "bottom" | "direction" | "display" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "height" | "justifyContent" | "left" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "opacity" | "paddingBottom" | "paddingLeft" | "paddingRight" | "paddingTop" | "perspective" | "position" | "right" | "rotate" | "scale" | "top" | "width" | "borderColor" | "borderWidth" | "flex" | "margin" | "overflow" | "padding" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "borderEndWidth" | "borderStartWidth" | "end" | "marginEnd" | "marginHorizontal" | "marginStart" | "marginVertical" | "paddingEnd" | "paddingHorizontal" | "paddingStart" | "paddingVertical" | "start" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "rotateX" | "rotateY" | "rotateZ" | "skewX" | "skewY"> & import("moti").StyleValueWithSequenceArraysWithTransform>> & {
    children?: React.ReactNode;
} & React.RefAttributes<unknown>, "exit" | "exitTransition" | "from" | "style" | "onLayout"> & Pick<import("react-native").PressableProps, "accessible" | "accessibilityActions" | "accessibilityLabel" | "accessibilityRole" | "accessibilityState" | "accessibilityHint" | "accessibilityValue" | "onAccessibilityAction" | "accessibilityLiveRegion" | "importantForAccessibility" | "accessibilityElementsHidden" | "accessibilityViewIsModal" | "onAccessibilityEscape" | "onAccessibilityTap" | "accessibilityIgnoresInvertColors"> & {
    children?: React.ReactNode;
} & {
    hidden?: boolean | undefined;
} & import("react-native").TextProps & React.RefAttributes<React.Component<import("react-native").TextProps, any, any>> & import("moti").MotiProps<import("react-native").ImageStyle & import("react-native").TextStyle & import("react-native").ViewStyle, import("moti").StyleValueWithReplacedTransforms<import("react-native").ImageStyle & import("react-native").TextStyle & import("react-native").ViewStyle>, Partial<import("moti").StyleValueWithSequenceArraysWithoutTransform<import("moti").StyleValueWithReplacedTransforms<import("react-native").ImageStyle & import("react-native").TextStyle & import("react-native").ViewStyle>, "borderRadius" | "color" | "fontWeight" | "borderTopWidth" | "zIndex" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "backfaceVisibility" | "backgroundColor" | "borderBottomColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomWidth" | "borderLeftColor" | "borderLeftWidth" | "borderRightColor" | "borderRightWidth" | "borderTopColor" | "borderTopLeftRadius" | "borderTopRightRadius" | "bottom" | "direction" | "display" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "fontFamily" | "fontSize" | "fontStyle" | "fontVariant" | "height" | "justifyContent" | "left" | "letterSpacing" | "lineHeight" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "opacity" | "paddingBottom" | "paddingLeft" | "paddingRight" | "paddingTop" | "perspective" | "position" | "right" | "rotate" | "scale" | "textAlign" | "textDecorationColor" | "textDecorationLine" | "textDecorationStyle" | "textTransform" | "top" | "transform" | "width" | "borderColor" | "borderStyle" | "borderWidth" | "flex" | "margin" | "overflow" | "padding" | "elevation" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "textShadowColor" | "textShadowOffset" | "textShadowRadius" | "borderBottomEndRadius" | "borderBottomStartRadius" | "borderEndColor" | "borderStartColor" | "borderTopEndRadius" | "borderTopStartRadius" | "testID" | "borderEndWidth" | "borderStartWidth" | "end" | "marginEnd" | "marginHorizontal" | "marginStart" | "marginVertical" | "paddingEnd" | "paddingHorizontal" | "paddingStart" | "paddingVertical" | "start" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "writingDirection" | "textAlignVertical" | "includeFontPadding" | "resizeMode" | "overlayColor" | "tintColor" | "rotateX" | "rotateY" | "rotateZ" | "skewX" | "skewY", "borderRadius" | "color" | "fontWeight" | "borderTopWidth" | "zIndex" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "backfaceVisibility" | "backgroundColor" | "borderBottomColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomWidth" | "borderLeftColor" | "borderLeftWidth" | "borderRightColor" | "borderRightWidth" | "borderTopColor" | "borderTopLeftRadius" | "borderTopRightRadius" | "bottom" | "direction" | "display" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "fontFamily" | "fontSize" | "fontStyle" | "fontVariant" | "height" | "justifyContent" | "left" | "letterSpacing" | "lineHeight" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "opacity" | "paddingBottom" | "paddingLeft" | "paddingRight" | "paddingTop" | "perspective" | "position" | "right" | "rotate" | "scale" | "textAlign" | "textDecorationColor" | "textDecorationLine" | "textDecorationStyle" | "textTransform" | "top" | "width" | "borderColor" | "borderStyle" | "borderWidth" | "flex" | "margin" | "overflow" | "padding" | "elevation" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "textShadowColor" | "textShadowOffset" | "textShadowRadius" | "borderBottomEndRadius" | "borderBottomStartRadius" | "borderEndColor" | "borderStartColor" | "borderTopEndRadius" | "borderTopStartRadius" | "testID" | "borderEndWidth" | "borderStartWidth" | "end" | "marginEnd" | "marginHorizontal" | "marginStart" | "marginVertical" | "paddingEnd" | "paddingHorizontal" | "paddingStart" | "paddingVertical" | "start" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "writingDirection" | "textAlignVertical" | "includeFontPadding" | "resizeMode" | "overlayColor" | "tintColor" | "rotateX" | "rotateY" | "rotateZ" | "skewX" | "skewY"> & import("moti").StyleValueWithSequenceArraysWithTransform>> & {
    autoContrast?: import("@risserlabs/auto-contrast").AutoContrast | undefined;
} & import("../Text/props").MotiPropsBucket & import("./props").MotiPropsBucket, "autoContrast" | "variants" | "children" | "transition" | "variant" | "testID" | "hidden" | "animate" | "animateInitialState" | "animateSx" | "delay" | "exit" | "exitSx" | "exitTransition" | "from" | "fromSx" | "onDidAnimate" | "state" | "stylePriority" | "onHoverIn" | "onHoverOut" | "onKeyDown" | "onKeyUp" | "onLongPress" | "onPress" | "onPressIn" | "onPressOut" | "key" | "style" | "sx" | "allowFontScaling" | "ellipsizeMode" | "lineBreakMode" | "numberOfLines" | "onLayout" | "onTextLayout" | "nativeID" | "maxFontSizeMultiplier" | "adjustsFontSizeToFit" | "minimumFontScale" | "suppressHighlighting" | "disabled" | "selectable" | "selectionColor" | "textBreakStrategy" | "dataDetectorType" | "android_hyphenationFrequency" | "accessible" | "accessibilityActions" | "accessibilityLabel" | "accessibilityRole" | "accessibilityState" | "accessibilityHint" | "accessibilityValue" | "onAccessibilityAction" | "accessibilityLabelledBy" | "accessibilityLiveRegion" | "importantForAccessibility" | "accessibilityElementsHidden" | "accessibilityLanguage" | "accessibilityViewIsModal" | "onAccessibilityEscape" | "onAccessibilityTap" | "onMagicTap" | "accessibilityIgnoresInvertColors" | "themeKey" | "as" | "id" | "href" | "onFocus" | "onBlur" | "hitSlop" | "containerStyle" | "dangerouslySilenceDuplicateIdsWarning" | "pressedValue" | "hoveredValue" | "onContainerLayout">) & React.RefAttributes<View>>;
export declare type ButtonProps = PropsWithRef<Props> & RefAttributes<View>;
