(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "@babel/runtime/helpers/extends", "react", "react-native-svg", "@risserlabs/auto-contrast", "../IconButton"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("@babel/runtime/helpers/extends"), require("react"), require("react-native-svg"), require("@risserlabs/auto-contrast"), require("../IconButton"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global._extends, global.react, global.reactNativeSvg, global.autoContrast, global.IconButton);
    global.index = mod.exports;
  }
})(typeof globalThis !== "undefined" ? globalThis : typeof self !== "undefined" ? self : this, function (_exports, _extends2, _react, _reactNativeSvg, _autoContrast, _IconButton) {
  "use strict";

  var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports.Close = void 0;
  _extends2 = _interopRequireDefault(_extends2);
  _react = _interopRequireDefault(_react);
  /**
   * File: /src/components/Close/index.tsx
   * Project: @native-theme-ui/core
   * File Created: 13-06-2022 00:51:44
   * Author: Clay Risser
   * -----
   * Last Modified: 02-09-2022 12:35:41
   * Modified By: Clay Risser
   * -----
   * Risser Labs LLC (c) Copyright 2021 - 2022
   *
   * Licensed under the Apache License, Version 2.0 (the "License");
   * you may not use this file except in compliance with the License.
   * You may obtain a copy of the License at
   *
   *     http://www.apache.org/licenses/LICENSE-2.0
   *
   * Unless required by applicable law or agreed to in writing, software
   * distributed under the License is distributed on an "AS IS" BASIS,
   * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   * See the License for the specific language governing permissions and
   * limitations under the License.
   */

  const closeIcon = _ref => {
    let {
      color = '#000000',
      size = 24
    } = _ref;
    return /*#__PURE__*/_react.default.createElement(_reactNativeSvg.Svg, {
      width: size,
      height: size,
      fill: "currentColor",
      viewBox: "0 0 24 24",
      color: color
    }, /*#__PURE__*/_react.default.createElement(_reactNativeSvg.Path, {
      d: "M19 6.41L17.59 5 12 10.59 6.41 5 5 6.41 10.59 12 5 17.59 6.41 19 12 13.41 17.59 19 19 17.59 13.41 12z"
    }));
  };
  const Close = props => {
    const sx = (0, _autoContrast.useAutoContrast)(props, {}, 'buttons');
    return /*#__PURE__*/_react.default.createElement(_IconButton.IconButton, (0, _extends2.default)({}, props, {
      sx: sx
    }), closeIcon({
      color: sx.color,
      size: props.size
    }));
  };
  _exports.Close = Close;
});
//# sourceMappingURL=index.js.map