/**
 * File: /src/components/Donut/index.tsx
 * Project: @native-theme-ui/core
 * File Created: 13-06-2022 00:51:44
 * Author: Clay Risser
 * -----
 * Last Modified: 09-09-2022 12:55:24
 * Modified By: Clay Risser
 * -----
 * Risser Labs LLC (c) Copyright 2021 - 2022
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { FC } from 'react';
import { AutoContrast } from '@risserlabs/auto-contrast';
import { SvgProps } from 'react-native-svg';
import { DripsyStyledProps } from '../../types';
export declare type DonutProps = DripsyStyledProps<SvgProps> & {
    autoContrast?: AutoContrast;
    max?: number;
    min?: number;
    size?: number;
    strokeWidth?: number | string;
    value?: number;
};
export declare const Donut: FC<DonutProps>;
