(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "@babel/runtime/helpers/extends", "react", "./props", "@risserlabs/auto-contrast", "../AspectRatio"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("@babel/runtime/helpers/extends"), require("react"), require("./props"), require("@risserlabs/auto-contrast"), require("../AspectRatio"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global._extends, global.react, global.props, global.autoContrast, global.AspectRatio);
    global.Embed = mod.exports;
  }
})(typeof globalThis !== "undefined" ? globalThis : typeof self !== "undefined" ? self : this, function (_exports, _extends2, _react, _props, _autoContrast, _AspectRatio) {
  "use strict";

  var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports.Embed = void 0;
  _extends2 = _interopRequireDefault(_extends2);
  _react = _interopRequireDefault(_react);
  /**
   * File: /src/components/Embed/Embed.tsx
   * Project: @native-theme-ui/core
   * File Created: 18-07-2022 06:25:17
   * Author: Clay Risser
   * -----
   * Last Modified: 24-08-2022 08:30:34
   * Modified By: Clay Risser
   * -----
   * Risser Labs LLC (c) Copyright 2021 - 2022
   *
   * Licensed under the Apache License, Version 2.0 (the "License");
   * you may not use this file except in compliance with the License.
   * You may obtain a copy of the License at
   *
   *     http://www.apache.org/licenses/LICENSE-2.0
   *
   * Unless required by applicable law or agreed to in writing, software
   * distributed under the License is distributed on an "AS IS" BASIS,
   * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   * See the License for the specific language governing permissions and
   * limitations under the License.
   */

  const Embed = props => {
    const sx = {
      border: props.frameBorder,
      ...(0, _autoContrast.useCalculatedSx)(props.sx)
    };
    const {
      baseProps,
      iframeProps
    } = (0, _props.useSplitProps)(props, sx);
    return /*#__PURE__*/_react.default.createElement(_AspectRatio.AspectRatio, (0, _extends2.default)({}, baseProps, {
      sx: sx
    }), /*#__PURE__*/_react.default.createElement("iframe", (0, _extends2.default)({}, iframeProps, {
      style: {
        position: 'absolute',
        width: '100%',
        height: '100%',
        top: 0,
        bottom: 0,
        left: 0,
        border: 0
      }
    })));
  };
  _exports.Embed = Embed;
  Embed.defaultProps = {
    ratio: 16 / 9
  };
});
//# sourceMappingURL=Embed.js.map