(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "@babel/runtime/helpers/extends", "react", "react-native-webview", "dripsy", "@risserlabs/auto-contrast", "./YoutubeIframeThemed", "../AspectRatio", "./props"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("@babel/runtime/helpers/extends"), require("react"), require("react-native-webview"), require("dripsy"), require("@risserlabs/auto-contrast"), require("./YoutubeIframeThemed"), require("../AspectRatio"), require("./props"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global._extends, global.react, global.reactNativeWebview, global.dripsy, global.autoContrast, global.YoutubeIframeThemed, global.AspectRatio, global.props);
    global.EmbedNative = mod.exports;
  }
})(typeof globalThis !== "undefined" ? globalThis : typeof self !== "undefined" ? self : this, function (_exports, _extends2, _react, _reactNativeWebview, _dripsy, _autoContrast, _YoutubeIframeThemed, _AspectRatio, _props) {
  "use strict";

  var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports.Embed = void 0;
  _extends2 = _interopRequireDefault(_extends2);
  _react = _interopRequireDefault(_react);
  _reactNativeWebview = _interopRequireDefault(_reactNativeWebview);
  _YoutubeIframeThemed = _interopRequireDefault(_YoutubeIframeThemed);
  /**
   * File: /src/components/Embed/Embed.native.tsx
   * Project: @native-theme-ui/core
   * File Created: 18-07-2022 06:25:17
   * Author: Clay Risser
   * -----
   * Last Modified: 02-09-2022 06:24:55
   * Modified By: Clay Risser
   * -----
   * Risser Labs LLC (c) Copyright 2021 - 2022
   *
   * Licensed under the Apache License, Version 2.0 (the "License");
   * you may not use this file except in compliance with the License.
   * You may obtain a copy of the License at
   *
   *     http://www.apache.org/licenses/LICENSE-2.0
   *
   * Unless required by applicable law or agreed to in writing, software
   * distributed under the License is distributed on an "AS IS" BASIS,
   * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   * See the License for the specific language governing permissions and
   * limitations under the License.
   */

  const StyledWebView = (0, _dripsy.styled)(_reactNativeWebview.default)({});
  const Embed = props => {
    const sx = {
      border: props.frameBorder,
      ...(0, _autoContrast.useCalculatedSx)(props.sx)
    };
    const {
      baseProps,
      iframeProps
    } = (0, _props.useSplitProps)(props, sx);
    const youtubeVideoId = typeof props.src === 'string' && (props.src.indexOf('youtube.com/') > -1 || props.src.indexOf('youtube/') > -1) && Array.from(props.src.match(/[^/]+$/g) || []).join('').trim() || null;
    function renderWebView() {
      if (!props.src) return [];
      if (youtubeVideoId) {
        const youtubeIframeThemedProps = {
          ...props
        };
        delete youtubeIframeThemedProps.src;
        return /*#__PURE__*/_react.default.createElement(_YoutubeIframeThemed.default, {
          initialPlayerParams: {
            ...(typeof iframeProps.allowFullScreen === 'boolean' ? {
              preventFullScreen: !iframeProps.allowFullScreen
            } : {})
          },
          videoId: youtubeVideoId,
          useLocalHTML: true,
          style: {
            height: '100%',
            width: '100%'
          }
        });
      }
      return /*#__PURE__*/_react.default.createElement(StyledWebView, {
        source: {
          uri: props.src
        },
        originWhitelist: ['*'],
        sx: {
          width: sx.width,
          height: sx.height
        }
      });
    }
    return /*#__PURE__*/_react.default.createElement(_AspectRatio.AspectRatio, (0, _extends2.default)({}, baseProps, {
      sx: sx
    }), renderWebView());
  };
  _exports.Embed = Embed;
  Embed.defaultProps = {
    ratio: 16 / 9
  };
});
//# sourceMappingURL=Embed.native.js.map