(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "@babel/runtime/helpers/extends", "react", "react-native-youtube-iframe", "react-native", "dripsy"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("@babel/runtime/helpers/extends"), require("react"), require("react-native-youtube-iframe"), require("react-native"), require("dripsy"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global._extends, global.react, global.reactNativeYoutubeIframe, global.reactNative, global.dripsy);
    global.YoutubeIframeThemed = mod.exports;
  }
})(typeof globalThis !== "undefined" ? globalThis : typeof self !== "undefined" ? self : this, function (_exports, _extends2, _react, _reactNativeYoutubeIframe, _reactNative, _dripsy) {
  "use strict";

  var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports.default = void 0;
  _extends2 = _interopRequireDefault(_extends2);
  _react = _interopRequireDefault(_react);
  _reactNativeYoutubeIframe = _interopRequireDefault(_reactNativeYoutubeIframe);
  /**
   * File: /src/components/Embed/YoutubeIframeThemed.tsx
   * Project: @native-theme-ui/core
   * File Created: 18-07-2022 08:05:40
   * Author: Clay Risser
   * -----
   * Last Modified: 24-08-2022 08:40:30
   * Modified By: Clay Risser
   * -----
   * Risser Labs LLC (c) Copyright 2021 - 2022
   *
   * Licensed under the Apache License, Version 2.0 (the "License");
   * you may not use this file except in compliance with the License.
   * You may obtain a copy of the License at
   *
   *     http://www.apache.org/licenses/LICENSE-2.0
   *
   * Unless required by applicable law or agreed to in writing, software
   * distributed under the License is distributed on an "AS IS" BASIS,
   * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   * See the License for the specific language governing permissions and
   * limitations under the License.
   */

  const YoutubeIframeStyled = props => {
    const style = _reactNative.StyleSheet.flatten(props.style || {});
    const webViewStyle = {
      ...style
    };
    delete webViewStyle.width;
    delete webViewStyle.height;
    return /*#__PURE__*/_react.default.createElement(_reactNativeYoutubeIframe.default, (0, _extends2.default)({}, props, {
      height: style === null || style === void 0 ? void 0 : style.height,
      width: style === null || style === void 0 ? void 0 : style.width,
      webViewStyle: webViewStyle
    }));
  };
  const YoutubeIframeThemed = (0, _dripsy.createThemedComponent)(YoutubeIframeStyled);
  var _default = YoutubeIframeThemed;
  _exports.default = _default;
});
//# sourceMappingURL=YoutubeIframeThemed.js.map