(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "@babel/runtime/helpers/extends", "react", "dripsy", "@risserlabs/auto-contrast", "../Box", "../Input", "../Label", "./props"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("@babel/runtime/helpers/extends"), require("react"), require("dripsy"), require("@risserlabs/auto-contrast"), require("../Box"), require("../Input"), require("../Label"), require("./props"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global._extends, global.react, global.dripsy, global.autoContrast, global.Box, global.Input, global.Label, global.props);
    global.index = mod.exports;
  }
})(typeof globalThis !== "undefined" ? globalThis : typeof self !== "undefined" ? self : this, function (_exports, _extends2, _react, _dripsy, _autoContrast, _Box, _Input, _Label, _props) {
  "use strict";

  var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports.Field = void 0;
  _extends2 = _interopRequireDefault(_extends2);
  _react = _interopRequireDefault(_react);
  /**
   * File: /src/components/Field/index.tsx
   * Project: @native-theme-ui/core
   * File Created: 27-06-2022 04:20:16
   * Author: Lavanya Katari
   * -----
   * Last Modified: 09-09-2022 12:59:36
   * Modified By: Clay Risser
   * -----
   * Risser Labs LLC (c) Copyright 2021 - 2022
   *
   * Licensed under the Apache License, Version 2.0 (the "License");
   * you may not use this file except in compliance with the License.
   * You may obtain a copy of the License at
   *
   *     http://www.apache.org/licenses/LICENSE-2.0
   *
   * Unless required by applicable law or agreed to in writing, software
   * distributed under the License is distributed on an "AS IS" BASIS,
   * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   * See the License for the specific language governing permissions and
   * limitations under the License.
   */

  const themeKey = 'forms';
  const StyledParent = (0, _dripsy.styled)(_Box.Box, {
    themeKey,
    defaultVariant: 'field'
  })({});
  const Field = props => {
    const sx = (0, _autoContrast.useAutoContrast)(props, {}, themeKey);
    const {
      baseProps,
      baseStyle,
      baseSx,
      textStyle,
      textSx,
      parentStyle,
      parentSx
    } = (0, _props.useSplitProps)(props, sx);
    return /*#__PURE__*/_react.default.createElement(StyledParent, {
      sx: parentSx,
      style: parentStyle
    }, /*#__PURE__*/_react.default.createElement(_Label.Label, {
      sx: textSx,
      style: textStyle
    }, props.label), /*#__PURE__*/_react.default.createElement(_Input.Input, (0, _extends2.default)({}, baseProps, {
      sx: {
        ...baseSx,
        ...textSx
      },
      style: {
        ...baseStyle,
        ...textStyle
      }
    })));
  };
  _exports.Field = Field;
});
//# sourceMappingURL=index.js.map