(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "@babel/runtime/helpers/extends", "react", "@risserlabs/auto-contrast", "dripsy", "./H1", "./H2", "./H3", "./H4", "./H5", "./H6"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("@babel/runtime/helpers/extends"), require("react"), require("@risserlabs/auto-contrast"), require("dripsy"), require("./H1"), require("./H2"), require("./H3"), require("./H4"), require("./H5"), require("./H6"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global._extends, global.react, global.autoContrast, global.dripsy, global.H1, global.H2, global.H3, global.H4, global.H5, global.H6);
    global.index = mod.exports;
  }
})(typeof globalThis !== "undefined" ? globalThis : typeof self !== "undefined" ? self : this, function (_exports, _extends2, _react, _autoContrast, _dripsy, _H, _H2, _H3, _H4, _H5, _H6) {
  "use strict";

  var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  var _exportNames = {
    Heading: true,
    H1: true
  };
  Object.defineProperty(_exports, "H1", {
    enumerable: true,
    get: function () {
      return _H.H1;
    }
  });
  _exports.Heading = void 0;
  _extends2 = _interopRequireDefault(_extends2);
  _react = _interopRequireDefault(_react);
  Object.keys(_H2).forEach(function (key) {
    if (key === "default" || key === "__esModule") return;
    if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
    if (key in _exports && _exports[key] === _H2[key]) return;
    Object.defineProperty(_exports, key, {
      enumerable: true,
      get: function () {
        return _H2[key];
      }
    });
  });
  Object.keys(_H3).forEach(function (key) {
    if (key === "default" || key === "__esModule") return;
    if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
    if (key in _exports && _exports[key] === _H3[key]) return;
    Object.defineProperty(_exports, key, {
      enumerable: true,
      get: function () {
        return _H3[key];
      }
    });
  });
  Object.keys(_H4).forEach(function (key) {
    if (key === "default" || key === "__esModule") return;
    if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
    if (key in _exports && _exports[key] === _H4[key]) return;
    Object.defineProperty(_exports, key, {
      enumerable: true,
      get: function () {
        return _H4[key];
      }
    });
  });
  Object.keys(_H5).forEach(function (key) {
    if (key === "default" || key === "__esModule") return;
    if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
    if (key in _exports && _exports[key] === _H5[key]) return;
    Object.defineProperty(_exports, key, {
      enumerable: true,
      get: function () {
        return _H5[key];
      }
    });
  });
  Object.keys(_H6).forEach(function (key) {
    if (key === "default" || key === "__esModule") return;
    if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
    if (key in _exports && _exports[key] === _H6[key]) return;
    Object.defineProperty(_exports, key, {
      enumerable: true,
      get: function () {
        return _H6[key];
      }
    });
  });
  /**
   * File: /src/components/Heading/index.tsx
   * Project: @native-theme-ui/core
   * File Created: 19-08-2022 08:29:43
   * Author: Clay Risser
   * -----
   * Last Modified: 01-09-2022 12:27:52
   * Modified By: Clay Risser
   * -----
   * Risser Labs LLC (c) Copyright 2021 - 2022
   *
   * Licensed under the Apache License, Version 2.0 (the "License");
   * you may not use this file except in compliance with the License.
   * You may obtain a copy of the License at
   *
   *     http://www.apache.org/licenses/LICENSE-2.0
   *
   * Unless required by applicable law or agreed to in writing, software
   * distributed under the License is distributed on an "AS IS" BASIS,
   * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   * See the License for the specific language governing permissions and
   * limitations under the License.
   */

  const themeKey = 'text';
  const defaultStyle = {
    fontFamily: 'heading',
    fontWeight: 'heading'
  };
  const StyledHeading = (0, _dripsy.styled)(_H.H1, {
    themeKey,
    defaultVariant: 'heading'
  })(defaultStyle);
  const Heading = props => {
    const sx = (0, _autoContrast.useAutoContrast)(props, defaultStyle, themeKey);
    return /*#__PURE__*/_react.default.createElement(StyledHeading, (0, _extends2.default)({}, props, {
      sx: sx
    }));
  };
  _exports.Heading = Heading;
});
//# sourceMappingURL=index.js.map