(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "@babel/runtime/helpers/extends", "react", "react-native-svg", "dripsy", "fast-xml-parser", "react-native", "@risserlabs/auto-contrast", "../Box", "./props", "../../util"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("@babel/runtime/helpers/extends"), require("react"), require("react-native-svg"), require("dripsy"), require("fast-xml-parser"), require("react-native"), require("@risserlabs/auto-contrast"), require("../Box"), require("./props"), require("../../util"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global._extends, global.react, global.reactNativeSvg, global.dripsy, global.fastXmlParser, global.reactNative, global.autoContrast, global.Box, global.props, global.util);
    global.index = mod.exports;
  }
})(typeof globalThis !== "undefined" ? globalThis : typeof self !== "undefined" ? self : this, function (_exports, _extends2, _react, _reactNativeSvg, _dripsy, _fastXmlParser, _reactNative, _autoContrast, _Box, _props, _util) {
  "use strict";

  var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports.Image = void 0;
  _extends2 = _interopRequireDefault(_extends2);
  _react = _interopRequireWildcard(_react);
  function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
  function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
  /**
   * File: /src/components/Image/index.tsx
   * Project: @native-theme-ui/core
   * File Created: 13-06-2022 00:51:44
   * Author: Clay Risser
   * -----
   * Last Modified: 12-11-2022 14:29:34
   * Modified By: Clay Risser
   * -----
   * Risser Labs LLC (c) Copyright 2021 - 2022
   *
   * Licensed under the Apache License, Version 2.0 (the "License");
   * you may not use this file except in compliance with the License.
   * You may obtain a copy of the License at
   *
   *     http://www.apache.org/licenses/LICENSE-2.0
   *
   * Unless required by applicable law or agreed to in writing, software
   * distributed under the License is distributed on an "AS IS" BASIS,
   * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   * See the License for the specific language governing permissions and
   * limitations under the License.
   */
  /* eslint-disable @typescript-eslint/no-explicit-any */

  const logger = console;
  const defaultStyle = {
    height: 'auto',
    maxWidth: '100%',
    width: '100%'
  };
  const StyledImage = (0, _dripsy.styled)(_reactNative.Image, {
    themeKey: 'images'
  })(defaultStyle);
  const StyledSvgUri = (0, _dripsy.styled)(_reactNativeSvg.SvgUri, {
    themeKey: 'images'
  })(defaultStyle);
  const StyledOuterBox = (0, _dripsy.styled)(_Box.Box)({
    position: 'relative',
    overflow: 'hidden'
  });
  const parser = new _fastXmlParser.XMLParser({
    ignoreAttributes: false,
    attributeNamePrefix: '@_',
    allowBooleanAttributes: true
  });
  const Image = props => {
    var _props$src, _props$src2, _source;
    const [imageRatio, setImageRatio] = (0, _react.useState)();
    const [svgViewBox, setSvgViewBox] = (0, _react.useState)();
    const sx = (0, _autoContrast.useCalculatedSx)({
      ...props.sx
    });
    const style = {
      ..._reactNative.StyleSheet.flatten(props.style || {})
    };
    style.resizeMode = getResizeMode(sx, style.objectFit, style.resizeMode);
    delete style.objectFit;
    delete sx.objectFit;
    const {
      baseProps,
      baseStyle,
      baseSx,
      innerStyle,
      innerSx,
      motiPressableProps
    } = (0, _props.useSplitProps)(props, sx);
    const isMotiPressable = !!Object.keys(motiPressableProps).length;
    let {
      svg
    } = props;
    const styledImageProps = {
      ...baseProps
    };
    let source = props.src;
    if (typeof props.src === 'string') {
      source = {
        uri: props.src
      };
      if (props.src.substring(props.src.length - 4) === '.svg' && typeof svg === 'undefined') {
        svg = true;
      }
    } else if ((_props$src = props.src) !== null && _props$src !== void 0 && _props$src.localUri && (_props$src2 = props.src) !== null && _props$src2 !== void 0 && _props$src2.type) {
      source = {
        uri: props.src.uri
      };
      if (props.src.type === 'svg' && typeof svg === 'undefined') {
        svg = true;
      }
    }
    delete styledImageProps.src;
    const uri = typeof source === 'number' ? source : (_source = source) === null || _source === void 0 ? void 0 : _source.uri;
    const calculateHeight = style.height === 'auto' || typeof style.height === 'undefined' && (typeof sx.height === 'undefined' || sx.height === 'auto');
    (0, _react.useEffect)(() => {
      if (_reactNative.Platform.OS !== 'web' && svg) {
        (async () => {
          if (!imageRatio || !svgViewBox) {
            const {
              height,
              width,
              viewBox
            } = await getSvgMeta(uri);
            if (typeof height === 'number' && typeof width === 'number' && viewBox) {
              setSvgViewBox(viewBox);
              const ratio = width / height;
              setImageRatio(ratio);
            }
          }
        })();
      } else if (typeof uri !== 'number' && uri && !imageRatio && calculateHeight) {
        _reactNative.Image.getSize(uri, (width, height) => {
          const ratio = width / height;
          if (Number.isFinite(ratio)) setImageRatio(ratio);
        });
      }
    }, [uri, imageRatio, calculateHeight]);
    function renderNativeSvg(props) {
      let {
        innerStyle,
        innerSx,
        outerStyle,
        outerSx
      } = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {
        innerStyle: {},
        innerSx: {},
        outerStyle: {},
        outerSx: {}
      };
      const relativeSize = calculateSize(svgViewBox === null || svgViewBox === void 0 ? void 0 : svgViewBox[2], svgViewBox === null || svgViewBox === void 0 ? void 0 : svgViewBox[3], imageRatio);
      const viewBox = svgViewBox && relativeSize ? [svgViewBox[0], svgViewBox[1], relativeSize[0], relativeSize[1]].join(' ') : undefined;
      const width = style.width || style.width === 0 ? style.width : sx.width || sx.width;
      const height = style.height || style.height === 0 ? style.height : sx.height;
      const ready = !!viewBox;
      return /*#__PURE__*/_react.default.createElement(StyledOuterBox, {
        sx: outerSx,
        style: {
          ...outerStyle,
          ...(height ? {
            height
          } : {}),
          ...(width ? {
            width
          } : {})
        }
      }, /*#__PURE__*/_react.default.createElement(StyledSvgUri, (0, _extends2.default)({}, props, {
        sx: {
          ...innerSx,
          ...outerSx
        },
        style: {
          innerStyle,
          ..._util.bottomStyle,
          ...outerStyle,
          display: ready ? style.display : 'none'
        },
        width: "100%",
        height: "100%",
        preserveAspectRatio: getPreserveAspectRatio(style.resizeMode),
        uri: uri
      }, viewBox ? {
        viewBox
      } : {})));
    }
    function renderImage(props) {
      let {
        innerStyle,
        innerSx,
        outerStyle,
        outerSx
      } = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {
        innerStyle: {},
        innerSx: {},
        outerStyle: {},
        outerSx: {}
      };
      if (!props.src || !uri) /*#__PURE__*/_react.default.createElement(_Box.Box, props);
      if (svg && _reactNative.Platform.OS !== 'web') return renderNativeSvg(props, {
        innerStyle,
        outerStyle,
        innerSx,
        outerSx
      });
      return /*#__PURE__*/_react.default.createElement(StyledImage, (0, _extends2.default)({}, props, {
        source: source,
        style: {
          resizeMode: style.resizeMode,
          ...innerStyle,
          ...outerStyle
        },
        sx: {
          ...innerSx,
          ...outerSx
        }
      }));
    }
    if (calculateHeight && imageRatio) {
      return /*#__PURE__*/_react.default.createElement(StyledOuterBox, (0, _extends2.default)({}, motiPressableProps, {
        sx: baseSx,
        style: baseStyle
      }), /*#__PURE__*/_react.default.createElement(_Box.Box, {
        style: {
          height: 0,
          paddingBottom: `${100 / imageRatio}%`,
          width: '100%'
        }
      }), renderImage({
        ...styledImageProps
      }, {
        innerSx,
        innerStyle,
        outerStyle: {
          bottom: 0,
          left: 0,
          position: 'absolute',
          right: 0,
          top: 0
        }
      }));
    }
    if (isMotiPressable) {
      return /*#__PURE__*/_react.default.createElement(StyledOuterBox, (0, _extends2.default)({}, motiPressableProps, {
        sx: baseSx,
        style: {
          ...baseStyle
        }
      }), renderImage({
        ...styledImageProps
      }, {
        innerStyle,
        innerSx,
        outerStyle: {
          overflow: 'visible',
          width: '100%',
          height: '100%'
        }
      }));
    }
    return renderImage(styledImageProps, {
      innerStyle,
      innerSx,
      outerStyle: baseStyle,
      outerSx: baseSx
    });
  };
  _exports.Image = Image;
  function calculateSize(width, height, ratio) {
    if (typeof width === 'number' && Number.isFinite(width) && typeof height === 'number' && Number.isFinite(height)) {
      return [width, height];
    }
    if (typeof width === 'number' && Number.isFinite(width) && typeof ratio === 'number' && Number.isFinite(ratio)) {
      const height = width / ratio;
      if (typeof height !== 'number' || !Number.isFinite(height)) {
        return;
      }
      return [width, height];
    }
    if (typeof height === 'number' && Number.isFinite(height) && typeof ratio === 'number' && Number.isFinite(ratio)) {
      const width = height / ratio;
      if (typeof width !== 'number' || !Number.isFinite(width)) {
        return;
      }
      return [width, height];
    }
    return;
  }
  async function getSvgMeta(uri) {
    const meta = {};
    if (_reactNative.Platform.OS === 'web' || typeof uri === 'number' || !uri) return meta;
    const res = await fetch(uri);
    try {
      var _xml$svg, _xml$svg2, _xml$svg3, _xml$svg3$_viewBox;
      const xml = parser.parse(await res.text());
      const width = parseInt(xml === null || xml === void 0 ? void 0 : (_xml$svg = xml.svg) === null || _xml$svg === void 0 ? void 0 : _xml$svg['@_width'], 10);
      const height = parseInt(xml === null || xml === void 0 ? void 0 : (_xml$svg2 = xml.svg) === null || _xml$svg2 === void 0 ? void 0 : _xml$svg2['@_height'], 10);
      const viewBox = xml === null || xml === void 0 ? void 0 : (_xml$svg3 = xml.svg) === null || _xml$svg3 === void 0 ? void 0 : (_xml$svg3$_viewBox = _xml$svg3['@_viewBox']) === null || _xml$svg3$_viewBox === void 0 ? void 0 : _xml$svg3$_viewBox.toString().split(' ').reduce((viewBox, itemStr, i) => {
        if (!viewBox) return {};
        const itemNum = parseInt(itemStr, 10);
        if (!Number.isFinite(itemNum)) return {};
        viewBox[i] = itemNum;
        return viewBox;
      }, [0, 0, 0, 0]);
      if (typeof width === 'number' && Number.isFinite(width)) meta.width = width;
      if (typeof height === 'number' && Number.isFinite(height)) meta.height = height;
      if (viewBox) meta.viewBox = viewBox;
      return meta;
    } catch (err) {
      logger.error(err);
    }
    return meta;
  }
  function getResizeMode(sx, objectFit, resizeMode) {
    if (resizeMode) return resizeMode;
    if (objectFit === 'fill') return 'stretch';
    if (objectFit === 'cover' || objectFit === 'contain') return objectFit;
    if (sx.objectFit === 'fill') return 'stretch';
    if (sx.objectFit === 'cover' || sx.objectFit === 'contain') {
      return sx.objectFit;
    }
    return 'stretch';
  }
  function getPreserveAspectRatio(resizeMode) {
    switch (resizeMode) {
      case 'stretch':
        {
          return 'none';
        }
      case 'cover':
        {
          return 'xMidYMid slice';
        }
    }
    return 'xMidYMid meet';
  }
});
//# sourceMappingURL=index.js.map