/**
 * File: /src/components/Link/index.tsx
 * Project: @native-theme-ui/core
 * File Created: 05-08-2022 04:38:52
 * Author: Clay Risser
 * -----
 * Last Modified: 26-08-2022 05:50:23
 * Modified By: Clay Risser
 * -----
 * Risser Labs LLC (c) Copyright 2021 - 2022
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import React, { FC, ComponentProps } from 'react';
import { AutoContrast } from '@risserlabs/auto-contrast';
declare const StyledA: React.ForwardRefExoticComponent<Pick<React.PropsWithChildren<Omit<{
    ref?: React.LegacyRef<typeof import("react-native").Text> | undefined;
    children?: React.ReactNode;
    testID?: string | undefined;
    onLongPress?: ((event: import("react-native").GestureResponderEvent) => void) | undefined;
    onPress?: ((event: import("react-native").GestureResponderEvent) => void) | undefined;
    onPressIn?: ((event: import("react-native").GestureResponderEvent) => void) | undefined;
    onPressOut?: ((event: import("react-native").GestureResponderEvent) => void) | undefined;
    key?: React.Key | null | undefined;
    style?: import("react-native").StyleProp<import("@expo/html-elements/build/primitives/Text").TextStyle>;
    allowFontScaling?: boolean | undefined;
    ellipsizeMode?: "clip" | "middle" | "head" | "tail" | undefined;
    lineBreakMode?: "clip" | "middle" | "head" | "tail" | undefined;
    numberOfLines?: number | undefined;
    onLayout?: ((event: import("react-native").LayoutChangeEvent) => void) | undefined;
    onTextLayout?: ((event: import("react-native").NativeSyntheticEvent<import("react-native").TextLayoutEventData>) => void) | undefined;
    nativeID?: string | undefined;
    maxFontSizeMultiplier?: number | null | undefined;
    adjustsFontSizeToFit?: boolean | undefined;
    minimumFontScale?: number | undefined;
    suppressHighlighting?: boolean | undefined;
    disabled?: boolean | undefined;
    selectable?: boolean | undefined;
    selectionColor?: import("react-native").ColorValue | undefined;
    textBreakStrategy?: "simple" | "highQuality" | "balanced" | undefined;
    dataDetectorType?: "all" | "none" | "link" | "email" | "phoneNumber" | null | undefined;
    android_hyphenationFrequency?: "none" | "normal" | "full" | undefined;
    accessible?: boolean | undefined;
    accessibilityActions?: readonly Readonly<{
        name: string;
        label?: string | undefined;
    }>[] | undefined;
    accessibilityLabel?: string | undefined;
    accessibilityRole?: "listitem" | import("react-native").AccessibilityRole | undefined;
    accessibilityState?: import("react-native").AccessibilityState | undefined;
    accessibilityHint?: string | undefined;
    accessibilityValue?: import("react-native").AccessibilityValue | undefined;
    onAccessibilityAction?: ((event: import("react-native").AccessibilityActionEvent) => void) | undefined;
    accessibilityLabelledBy?: string | string[] | undefined;
    accessibilityLiveRegion?: "none" | "polite" | "assertive" | undefined;
    importantForAccessibility?: "auto" | "no" | "yes" | "no-hide-descendants" | undefined;
    accessibilityElementsHidden?: boolean | undefined;
    accessibilityLanguage?: string | undefined;
    accessibilityViewIsModal?: boolean | undefined;
    onAccessibilityEscape?: (() => void) | undefined;
    onAccessibilityTap?: (() => void) | undefined;
    onMagicTap?: (() => void) | undefined;
    accessibilityIgnoresInvertColors?: boolean | undefined;
    target?: string | undefined;
    tabIndex?: number | undefined;
    href?: string | undefined;
}, keyof import("dripsy").StyledProps<ThemeKey>> & import("dripsy").StyledProps<"links">>, "children" | "testID" | "onLongPress" | "onPress" | "onPressIn" | "onPressOut" | "key" | "style" | "allowFontScaling" | "ellipsizeMode" | "lineBreakMode" | "numberOfLines" | "onLayout" | "onTextLayout" | "nativeID" | "maxFontSizeMultiplier" | "adjustsFontSizeToFit" | "minimumFontScale" | "suppressHighlighting" | "disabled" | "selectable" | "selectionColor" | "textBreakStrategy" | "dataDetectorType" | "android_hyphenationFrequency" | "accessible" | "accessibilityActions" | "accessibilityLabel" | "accessibilityRole" | "accessibilityState" | "accessibilityHint" | "accessibilityValue" | "onAccessibilityAction" | "accessibilityLabelledBy" | "accessibilityLiveRegion" | "importantForAccessibility" | "accessibilityElementsHidden" | "accessibilityLanguage" | "accessibilityViewIsModal" | "onAccessibilityEscape" | "onAccessibilityTap" | "onMagicTap" | "accessibilityIgnoresInvertColors" | "target" | "tabIndex" | "href" | keyof import("dripsy").StyledProps<"links">> & React.RefAttributes<typeof import("react-native").Text | React.Component<import("@expo/html-elements/build/elements/Text.types").LinkProps, any, any>>>;
declare type StyledAProps = ComponentProps<typeof StyledA>;
export declare type LinkProps = Partial<StyledAProps & {
    autoContrast?: AutoContrast;
}>;
export declare const Link: FC<LinkProps>;
export {};
