(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "react"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("react"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.react);
    global.RadioGroup = mod.exports;
  }
})(typeof globalThis !== "undefined" ? globalThis : typeof self !== "undefined" ? self : this, function (_exports, _react) {
  "use strict";

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports.RadioIdContext = _exports.RadioGroupContext = _exports.RadioGroup = void 0;
  _react = _interopRequireWildcard(_react);
  function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
  function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
  /**
   * File: /src/components/Radio/RadioGroup.tsx
   * Project: @native-theme-ui/core
   * File Created: 09-09-2022 07:55:56
   * Author: Clay Risser
   * -----
   * Last Modified: 09-09-2022 12:22:50
   * Modified By: Clay Risser
   * -----
   * Risser Labs LLC (c) Copyright 2021 - 2022
   *
   * Licensed under the Apache License, Version 2.0 (the "License");
   * you may not use this file except in compliance with the License.
   * You may obtain a copy of the License at
   *
   *     http://www.apache.org/licenses/LICENSE-2.0
   *
   * Unless required by applicable law or agreed to in writing, software
   * distributed under the License is distributed on an "AS IS" BASIS,
   * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   * See the License for the specific language governing permissions and
   * limitations under the License.
   */

  const RadioGroupContext = /*#__PURE__*/(0, _react.createContext)([null, () => null]);
  _exports.RadioGroupContext = RadioGroupContext;
  const RadioIdContext = /*#__PURE__*/(0, _react.createContext)(null);
  _exports.RadioIdContext = RadioIdContext;
  const RadioGroup = props => {
    const [radioGroupIndex, setRadioGroupIndex] = (0, _react.useState)(null);
    (0, _react.useEffect)(() => {
      if (props.onChange && typeof radioGroupIndex === 'number') {
        props.onChange(radioGroupIndex);
      }
    }, [radioGroupIndex]);
    const children = (Array.isArray(props.children) ? props.children : [props.children]).map((child, id) => /*#__PURE__*/_react.default.createElement(RadioIdContext.Provider, {
      key: id,
      value: id
    }, child));
    return /*#__PURE__*/_react.default.createElement(RadioGroupContext.Provider, {
      value: [radioGroupIndex, setRadioGroupIndex]
    }, children);
  };
  _exports.RadioGroup = RadioGroup;
});
//# sourceMappingURL=RadioGroup.js.map