/**
 * File: /src/components/Select/index.tsx
 * Project: @native-theme-ui/core
 * File Created: 17-06-2022 06:47:48
 * Author: Harikittu46
 * -----
 * Last Modified: 24-11-2022 14:37:02
 * Modified By: Clay Risser
 * -----
 * Risser Labs LLC (c) Copyright 2021 - 2022
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import React, { FC } from 'react';
import { AutoContrast } from '@risserlabs/auto-contrast';
import { SxProp } from 'dripsy';
import { PickerItemProps, PickerProps } from '@react-native-picker/picker';
import { DripsyStyledProps } from '../../types';
declare type StyledPickerProps = DripsyStyledProps<PickerProps>;
export declare type SelectProps = Omit<StyledPickerProps, 'showCursor'> & {
    autoContrast?: AutoContrast;
    disabled?: boolean;
    sx?: SxProp;
};
export declare const Select: FC<SelectProps> & {
    Option: typeof Option;
};
declare const Option: React.ComponentType<PickerItemProps<T>>;
export declare type SelectOptionProps = PickerItemProps;
export {};
