(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "@babel/runtime/helpers/extends", "react", "@risserlabs/auto-contrast", "react-native", "dripsy", "@react-native-picker/picker"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("@babel/runtime/helpers/extends"), require("react"), require("@risserlabs/auto-contrast"), require("react-native"), require("dripsy"), require("@react-native-picker/picker"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global._extends, global.react, global.autoContrast, global.reactNative, global.dripsy, global.picker);
    global.index = mod.exports;
  }
})(typeof globalThis !== "undefined" ? globalThis : typeof self !== "undefined" ? self : this, function (_exports, _extends2, _react, _autoContrast, _reactNative, _dripsy, _picker) {
  "use strict";

  var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports.Select = void 0;
  _extends2 = _interopRequireDefault(_extends2);
  _react = _interopRequireDefault(_react);
  /**
   * File: /src/components/Select/index.tsx
   * Project: @native-theme-ui/core
   * File Created: 17-06-2022 06:47:48
   * Author: Harikittu46
   * -----
   * Last Modified: 24-11-2022 14:37:02
   * Modified By: Clay Risser
   * -----
   * Risser Labs LLC (c) Copyright 2021 - 2022
   *
   * Licensed under the Apache License, Version 2.0 (the "License");
   * you may not use this file except in compliance with the License.
   * You may obtain a copy of the License at
   *
   *     http://www.apache.org/licenses/LICENSE-2.0
   *
   * Unless required by applicable law or agreed to in writing, software
   * distributed under the License is distributed on an "AS IS" BASIS,
   * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   * See the License for the specific language governing permissions and
   * limitations under the License.
   */

  const themeKey = 'forms';
  const defaultStyle = {
    color: 'text',
    // fontSize: "inherit",
    // lineHeight: "inherit",
    appearance: 'none',
    border: '1px solid',
    borderColor: 'blue',
    borderRadius: 4,
    display: 'flex',
    p: 2,
    width: '100%'
  };
  const StyledPicker = (0, _dripsy.styled)(_picker.Picker, {
    themeKey,
    defaultVariant: 'select'
  })(_ref => {
    let {
      showCursor
    } = _ref;
    return {
      ..._reactNative.Platform.select({
        web: {
          ...(showCursor ? {
            cursor: 'pointer'
          } : {})
        }
      }),
      ...defaultStyle
    };
  });
  const Select = props => {
    const sx = (0, _autoContrast.useAutoContrast)(props, defaultStyle, themeKey, true);
    return /*#__PURE__*/_react.default.createElement(StyledPicker
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    , (0, _extends2.default)({}, props, {
      showCursor: !!(props.accessibilityRole === 'link' || !props.disabled),
      sx: sx
    }));
  };
  _exports.Select = Select;
  const Option = _picker.Picker.Item;
  Select.Option = Option;
});
//# sourceMappingURL=index.js.map