/**
 * File: /src/components/Text/props.ts
 * Project: @native-theme-ui/core
 * File Created: 05-07-2022 06:24:30
 * Author: Clay Risser
 * -----
 * Last Modified: 12-11-2022 15:42:38
 * Modified By: K S R P BHUSHAN
 * -----
 * Risser Labs LLC (c) Copyright 2021 - 2022
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { AutoContrast } from '@risserlabs/auto-contrast';
import { MotiProps } from 'moti';
import { SxProp } from 'dripsy';
import { TextProps as RNTextProps } from 'react-native';
import { DripsyStyledProps } from '../../types';
export declare type BasePropsBucket = DripsyStyledProps<RNTextProps> & MotiProps & {
    autoContrast?: AutoContrast;
};
export interface MotiPropsBucket {
    animateSx?: SxProp;
    fromSx?: SxProp;
    exitSx?: SxProp;
}
export declare const useSplitProps: (props: TextProps, sx?: import("dripsy").Sx | undefined) => {
    baseProps: BasePropsBucket;
    motiProps: MotiPropsBucket;
} & Record<string, Partial<SxProp>>;
export declare type TextProps = BasePropsBucket & MotiPropsBucket;
