(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "@babel/runtime/helpers/extends", "react", "react-native", "dripsy", "@risserlabs/auto-contrast", "../Input"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("@babel/runtime/helpers/extends"), require("react"), require("react-native"), require("dripsy"), require("@risserlabs/auto-contrast"), require("../Input"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global._extends, global.react, global.reactNative, global.dripsy, global.autoContrast, global.Input);
    global.index = mod.exports;
  }
})(typeof globalThis !== "undefined" ? globalThis : typeof self !== "undefined" ? self : this, function (_exports, _extends2, _react, _reactNative, _dripsy, _autoContrast, _Input) {
  "use strict";

  var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports.Textarea = void 0;
  _extends2 = _interopRequireDefault(_extends2);
  _react = _interopRequireWildcard(_react);
  function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
  function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
  /**
   * File: /src/components/Textarea/index.tsx
   * Project: @native-theme-ui/core
   * File Created: 13-06-2022 00:51:44
   * Author: Clay Risser
   * -----
   * Last Modified: 09-11-2022 12:47:58
   * Modified By: Clay Risser
   * -----
   * Risser Labs LLC (c) Copyright 2021 - 2022
   *
   * Licensed under the Apache License, Version 2.0 (the "License");
   * you may not use this file except in compliance with the License.
   * You may obtain a copy of the License at
   *
   *     http://www.apache.org/licenses/LICENSE-2.0
   *
   * Unless required by applicable law or agreed to in writing, software
   * distributed under the License is distributed on an "AS IS" BASIS,
   * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   * See the License for the specific language governing permissions and
   * limitations under the License.
   */

  const defaultStyle = {
    color: 'text',
    overflow: 'hidden'
  };
  const themeKey = 'forms';
  const StyledInput = (0, _dripsy.styled)(_Input.Input, {
    themeKey,
    defaultVariant: 'textarea'
  })(defaultStyle);
  const Textarea = props => {
    const sx = (0, _autoContrast.useAutoContrast)(props, defaultStyle, themeKey);
    const [scrollHeight, setScrollHeight] = (0, _react.useState)();
    const style = _reactNative.StyleSheet.flatten(props.style) || {};
    const handleChange = (0, _react.useCallback)(e => {
      if (_reactNative.Platform.OS === 'web') {
        setScrollHeight(`${(e.target.scrollHeight || 0) + (e.target.offsetHeight || 0) - (e.target.clientHeight || 0)}px`);
      }
      if (props.onChange) props.onChange(e);
    }, [props.onChange]);
    return /*#__PURE__*/_react.default.createElement(StyledInput
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    , (0, _extends2.default)({}, props, {
      numberOfLines: props.numberOfLines ?? props.rows,
      onChange: handleChange,
      multiline: true,
      sx: sx,
      style: {
        ...(_reactNative.Platform.select({
          web: {
            height: scrollHeight
          }
        }) || {}),
        ...style
        // eslint-disable-next-line @typescript-eslint/no-explicit-any
      }
    }));
  };
  _exports.Textarea = Textarea;
  Textarea.defaultProps = {
    rows: 4,
    textAlignVertical: 'top'
  };
});
//# sourceMappingURL=index.js.map