/**
 * File: /src/components/Flex/index.tsx
 * Project: @native-theme-ui/core
 * File Created: 13-06-2022 00:51:44
 * Author: Clay Risser
 * -----
 * Last Modified: 09-09-2022 13:10:19
 * Modified By: Clay Risser
 * -----
 * Risser Labs LLC (c) Copyright 2021 - 2022
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
/// <reference types="react" />
/// <reference types="react-native-reanimated" />
import { Sx } from 'dripsy';
import { BoxProps } from '../Box';
declare type FlexStyles = Pick<Sx, 'flexDirection' | 'justifyContent' | 'alignItems'>;
export declare const Flex: import("react").ForwardRefExoticComponent<Omit<{
    autoContrast?: import("@risserlabs/auto-contrast").AutoContrast | undefined;
    children?: ((string | number | boolean | import("react").ReactElement<any, string | import("react").JSXElementConstructor<any>> | import("react").ReactFragment | import("react").ReactPortal | ((interaction: Readonly<{
        value: import("moti/interactions").MotiPressableInteractionState;
    }>) => import("react").ReactNode) | (string & import("react").ReactElement<any, string | import("react").JSXElementConstructor<any>>) | (string & import("react").ReactFragment) | (string & import("react").ReactPortal) | (number & import("react").ReactElement<any, string | import("react").JSXElementConstructor<any>>) | (number & import("react").ReactFragment) | (number & import("react").ReactPortal) | (false & import("react").ReactElement<any, string | import("react").JSXElementConstructor<any>>) | (false & import("react").ReactFragment) | (false & import("react").ReactPortal) | (true & import("react").ReactElement<any, string | import("react").JSXElementConstructor<any>>) | (true & import("react").ReactFragment) | (true & import("react").ReactPortal) | (import("react").ReactElement<any, string | import("react").JSXElementConstructor<any>> & string) | (import("react").ReactElement<any, string | import("react").JSXElementConstructor<any>> & number) | (import("react").ReactElement<any, string | import("react").JSXElementConstructor<any>> & false) | (import("react").ReactElement<any, string | import("react").JSXElementConstructor<any>> & true) | (import("react").ReactElement<any, string | import("react").JSXElementConstructor<any>> & import("react").ReactFragment) | (import("react").ReactElement<any, string | import("react").JSXElementConstructor<any>> & import("react").ReactPortal) | (import("react").ReactFragment & string) | (import("react").ReactFragment & number) | (import("react").ReactFragment & false) | (import("react").ReactFragment & true) | (import("react").ReactFragment & import("react").ReactElement<any, string | import("react").JSXElementConstructor<any>>) | (import("react").ReactFragment & import("react").ReactPortal) | (import("react").ReactPortal & string) | (import("react").ReactPortal & number) | (import("react").ReactPortal & false) | (import("react").ReactPortal & true) | (import("react").ReactPortal & import("react").ReactElement<any, string | import("react").JSXElementConstructor<any>>) | (import("react").ReactPortal & import("react").ReactFragment) | (((interaction: Readonly<{
        value: import("moti/interactions").MotiPressableInteractionState;
    }>) => import("react").ReactNode) & string) | (((interaction: Readonly<{
        value: import("moti/interactions").MotiPressableInteractionState;
    }>) => import("react").ReactNode) & number) | (((interaction: Readonly<{
        value: import("moti/interactions").MotiPressableInteractionState;
    }>) => import("react").ReactNode) & false) | (((interaction: Readonly<{
        value: import("moti/interactions").MotiPressableInteractionState;
    }>) => import("react").ReactNode) & true) | (((interaction: Readonly<{
        value: import("moti/interactions").MotiPressableInteractionState;
    }>) => import("react").ReactNode) & import("react").ReactElement<any, string | import("react").JSXElementConstructor<any>>) | (((interaction: Readonly<{
        value: import("moti/interactions").MotiPressableInteractionState;
    }>) => import("react").ReactNode) & import("react").ReactFragment) | (((interaction: Readonly<{
        value: import("moti/interactions").MotiPressableInteractionState;
    }>) => import("react").ReactNode) & import("react").ReactPortal)) & (string | number | boolean | import("react").ReactElement<any, string | import("react").JSXElementConstructor<any>> | import("react").ReactFragment | import("react").ReactPortal)) | null | undefined;
    transition?: ({
        type?: "spring" | undefined;
    } & import("react-native-reanimated").WithSpringConfig & {
        delay?: number | undefined;
    } & {
        repeat?: number | undefined;
        loop?: boolean | undefined;
        repeatReverse?: boolean | undefined;
    } & Partial<Record<"borderRadius" | "color" | "fontWeight" | "borderTopWidth" | "zIndex" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "backfaceVisibility" | "backgroundColor" | "borderBottomColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomWidth" | "borderLeftColor" | "borderLeftWidth" | "borderRightColor" | "borderRightWidth" | "borderTopColor" | "borderTopLeftRadius" | "borderTopRightRadius" | "bottom" | "direction" | "display" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "fontFamily" | "fontSize" | "fontStyle" | "fontVariant" | "height" | "justifyContent" | "left" | "letterSpacing" | "lineHeight" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "opacity" | "paddingBottom" | "paddingLeft" | "paddingRight" | "paddingTop" | "perspective" | "position" | "right" | "rotate" | "scale" | "textAlign" | "textDecorationColor" | "textDecorationLine" | "textDecorationStyle" | "textTransform" | "top" | "transform" | "width" | "borderColor" | "borderStyle" | "borderWidth" | "flex" | "margin" | "overflow" | "padding" | "elevation" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "textShadowColor" | "textShadowOffset" | "textShadowRadius" | "borderBottomEndRadius" | "borderBottomStartRadius" | "borderEndColor" | "borderStartColor" | "borderTopEndRadius" | "borderTopStartRadius" | "testID" | "borderEndWidth" | "borderStartWidth" | "end" | "marginEnd" | "marginHorizontal" | "marginStart" | "marginVertical" | "paddingEnd" | "paddingHorizontal" | "paddingStart" | "paddingVertical" | "start" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "writingDirection" | "textAlignVertical" | "includeFontPadding" | "resizeMode" | "overlayColor" | "tintColor" | "rotateX" | "rotateY" | "rotateZ" | "skewX" | "skewY", import("moti").TransitionConfig>>) | ({
        type: "timing";
    } & import("react-native-reanimated").WithTimingConfig & {
        delay?: number | undefined;
    } & {
        repeat?: number | undefined;
        loop?: boolean | undefined;
        repeatReverse?: boolean | undefined;
    } & Partial<Record<"borderRadius" | "color" | "fontWeight" | "borderTopWidth" | "zIndex" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "backfaceVisibility" | "backgroundColor" | "borderBottomColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomWidth" | "borderLeftColor" | "borderLeftWidth" | "borderRightColor" | "borderRightWidth" | "borderTopColor" | "borderTopLeftRadius" | "borderTopRightRadius" | "bottom" | "direction" | "display" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "fontFamily" | "fontSize" | "fontStyle" | "fontVariant" | "height" | "justifyContent" | "left" | "letterSpacing" | "lineHeight" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "opacity" | "paddingBottom" | "paddingLeft" | "paddingRight" | "paddingTop" | "perspective" | "position" | "right" | "rotate" | "scale" | "textAlign" | "textDecorationColor" | "textDecorationLine" | "textDecorationStyle" | "textTransform" | "top" | "transform" | "width" | "borderColor" | "borderStyle" | "borderWidth" | "flex" | "margin" | "overflow" | "padding" | "elevation" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "textShadowColor" | "textShadowOffset" | "textShadowRadius" | "borderBottomEndRadius" | "borderBottomStartRadius" | "borderEndColor" | "borderStartColor" | "borderTopEndRadius" | "borderTopStartRadius" | "testID" | "borderEndWidth" | "borderStartWidth" | "end" | "marginEnd" | "marginHorizontal" | "marginStart" | "marginVertical" | "paddingEnd" | "paddingHorizontal" | "paddingStart" | "paddingVertical" | "start" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "writingDirection" | "textAlignVertical" | "includeFontPadding" | "resizeMode" | "overlayColor" | "tintColor" | "rotateX" | "rotateY" | "rotateZ" | "skewX" | "skewY", import("moti").TransitionConfig>>) | ({
        type: "decay";
    } & import("react-native-reanimated").WithDecayConfig & {
        delay?: number | undefined;
    } & {
        repeat?: number | undefined;
        loop?: boolean | undefined;
        repeatReverse?: boolean | undefined;
    } & Partial<Record<"borderRadius" | "color" | "fontWeight" | "borderTopWidth" | "zIndex" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "backfaceVisibility" | "backgroundColor" | "borderBottomColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomWidth" | "borderLeftColor" | "borderLeftWidth" | "borderRightColor" | "borderRightWidth" | "borderTopColor" | "borderTopLeftRadius" | "borderTopRightRadius" | "bottom" | "direction" | "display" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "fontFamily" | "fontSize" | "fontStyle" | "fontVariant" | "height" | "justifyContent" | "left" | "letterSpacing" | "lineHeight" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "opacity" | "paddingBottom" | "paddingLeft" | "paddingRight" | "paddingTop" | "perspective" | "position" | "right" | "rotate" | "scale" | "textAlign" | "textDecorationColor" | "textDecorationLine" | "textDecorationStyle" | "textTransform" | "top" | "transform" | "width" | "borderColor" | "borderStyle" | "borderWidth" | "flex" | "margin" | "overflow" | "padding" | "elevation" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "textShadowColor" | "textShadowOffset" | "textShadowRadius" | "borderBottomEndRadius" | "borderBottomStartRadius" | "borderEndColor" | "borderStartColor" | "borderTopEndRadius" | "borderTopStartRadius" | "testID" | "borderEndWidth" | "borderStartWidth" | "end" | "marginEnd" | "marginHorizontal" | "marginStart" | "marginVertical" | "paddingEnd" | "paddingHorizontal" | "paddingStart" | "paddingVertical" | "start" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "writingDirection" | "textAlignVertical" | "includeFontPadding" | "resizeMode" | "overlayColor" | "tintColor" | "rotateX" | "rotateY" | "rotateZ" | "skewX" | "skewY", import("moti").TransitionConfig>>) | ({
        type?: "spring" | undefined;
    } & import("react-native-reanimated").WithSpringConfig & {
        delay?: number | undefined;
    } & {
        repeat?: number | undefined;
        loop?: boolean | undefined;
        repeatReverse?: boolean | undefined;
    } & Partial<Record<"borderRadius" | "color" | "fontWeight" | "borderTopWidth" | "zIndex" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "backfaceVisibility" | "backgroundColor" | "borderBottomColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomWidth" | "borderLeftColor" | "borderLeftWidth" | "borderRightColor" | "borderRightWidth" | "borderTopColor" | "borderTopLeftRadius" | "borderTopRightRadius" | "bottom" | "direction" | "display" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "fontFamily" | "fontSize" | "fontStyle" | "fontVariant" | "height" | "justifyContent" | "left" | "letterSpacing" | "lineHeight" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "opacity" | "paddingBottom" | "paddingLeft" | "paddingRight" | "paddingTop" | "perspective" | "position" | "right" | "rotate" | "scale" | "textAlign" | "textDecorationColor" | "textDecorationLine" | "textDecorationStyle" | "textTransform" | "top" | "transform" | "width" | "borderColor" | "borderStyle" | "borderWidth" | "flex" | "margin" | "overflow" | "padding" | "elevation" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "textShadowColor" | "textShadowOffset" | "textShadowRadius" | "borderBottomEndRadius" | "borderBottomStartRadius" | "borderEndColor" | "borderStartColor" | "borderTopEndRadius" | "borderTopStartRadius" | "testID" | "borderEndWidth" | "borderStartWidth" | "end" | "marginEnd" | "marginHorizontal" | "marginStart" | "marginVertical" | "paddingEnd" | "paddingHorizontal" | "paddingStart" | "paddingVertical" | "start" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "writingDirection" | "textAlignVertical" | "includeFontPadding" | "resizeMode" | "overlayColor" | "tintColor" | "rotateX" | "rotateY" | "rotateZ" | "skewX" | "skewY", import("moti").TransitionConfig>> & import("react-native-reanimated").SharedValue<import("moti").MotiTransition<import("moti").StyleValueWithReplacedTransforms<import("react-native").ImageStyle & import("react-native").TextStyle & import("react-native").ViewStyle>>>) | ({
        type: "timing";
    } & import("react-native-reanimated").WithTimingConfig & {
        delay?: number | undefined;
    } & {
        repeat?: number | undefined;
        loop?: boolean | undefined;
        repeatReverse?: boolean | undefined;
    } & Partial<Record<"borderRadius" | "color" | "fontWeight" | "borderTopWidth" | "zIndex" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "backfaceVisibility" | "backgroundColor" | "borderBottomColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomWidth" | "borderLeftColor" | "borderLeftWidth" | "borderRightColor" | "borderRightWidth" | "borderTopColor" | "borderTopLeftRadius" | "borderTopRightRadius" | "bottom" | "direction" | "display" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "fontFamily" | "fontSize" | "fontStyle" | "fontVariant" | "height" | "justifyContent" | "left" | "letterSpacing" | "lineHeight" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "opacity" | "paddingBottom" | "paddingLeft" | "paddingRight" | "paddingTop" | "perspective" | "position" | "right" | "rotate" | "scale" | "textAlign" | "textDecorationColor" | "textDecorationLine" | "textDecorationStyle" | "textTransform" | "top" | "transform" | "width" | "borderColor" | "borderStyle" | "borderWidth" | "flex" | "margin" | "overflow" | "padding" | "elevation" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "textShadowColor" | "textShadowOffset" | "textShadowRadius" | "borderBottomEndRadius" | "borderBottomStartRadius" | "borderEndColor" | "borderStartColor" | "borderTopEndRadius" | "borderTopStartRadius" | "testID" | "borderEndWidth" | "borderStartWidth" | "end" | "marginEnd" | "marginHorizontal" | "marginStart" | "marginVertical" | "paddingEnd" | "paddingHorizontal" | "paddingStart" | "paddingVertical" | "start" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "writingDirection" | "textAlignVertical" | "includeFontPadding" | "resizeMode" | "overlayColor" | "tintColor" | "rotateX" | "rotateY" | "rotateZ" | "skewX" | "skewY", import("moti").TransitionConfig>> & import("react-native-reanimated").SharedValue<import("moti").MotiTransition<import("moti").StyleValueWithReplacedTransforms<import("react-native").ImageStyle & import("react-native").TextStyle & import("react-native").ViewStyle>>>) | ({
        type: "decay";
    } & import("react-native-reanimated").WithDecayConfig & {
        delay?: number | undefined;
    } & {
        repeat?: number | undefined;
        loop?: boolean | undefined;
        repeatReverse?: boolean | undefined;
    } & Partial<Record<"borderRadius" | "color" | "fontWeight" | "borderTopWidth" | "zIndex" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "backfaceVisibility" | "backgroundColor" | "borderBottomColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomWidth" | "borderLeftColor" | "borderLeftWidth" | "borderRightColor" | "borderRightWidth" | "borderTopColor" | "borderTopLeftRadius" | "borderTopRightRadius" | "bottom" | "direction" | "display" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "fontFamily" | "fontSize" | "fontStyle" | "fontVariant" | "height" | "justifyContent" | "left" | "letterSpacing" | "lineHeight" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "opacity" | "paddingBottom" | "paddingLeft" | "paddingRight" | "paddingTop" | "perspective" | "position" | "right" | "rotate" | "scale" | "textAlign" | "textDecorationColor" | "textDecorationLine" | "textDecorationStyle" | "textTransform" | "top" | "transform" | "width" | "borderColor" | "borderStyle" | "borderWidth" | "flex" | "margin" | "overflow" | "padding" | "elevation" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "textShadowColor" | "textShadowOffset" | "textShadowRadius" | "borderBottomEndRadius" | "borderBottomStartRadius" | "borderEndColor" | "borderStartColor" | "borderTopEndRadius" | "borderTopStartRadius" | "testID" | "borderEndWidth" | "borderStartWidth" | "end" | "marginEnd" | "marginHorizontal" | "marginStart" | "marginVertical" | "paddingEnd" | "paddingHorizontal" | "paddingStart" | "paddingVertical" | "start" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "writingDirection" | "textAlignVertical" | "includeFontPadding" | "resizeMode" | "overlayColor" | "tintColor" | "rotateX" | "rotateY" | "rotateZ" | "skewX" | "skewY", import("moti").TransitionConfig>> & import("react-native-reanimated").SharedValue<import("moti").MotiTransition<import("moti").StyleValueWithReplacedTransforms<import("react-native").ImageStyle & import("react-native").TextStyle & import("react-native").ViewStyle>>>) | (((interaction: import("moti/interactions").MotiPressableInteractionState) => NonNullable<import("moti").MotiTransition<Omit<import("react-native").ImageStyle & import("react-native").TextStyle & import("react-native").ViewStyle, "perspective" | "rotate" | "scale" | "scaleX" | "scaleY" | "translateX" | "translateY" | "rotateX" | "rotateY" | "rotateZ" | "skewX" | "skewY"> & Partial<import("moti").Transforms> & Pick<import("react-native").ViewStyle, "transform">>>) & {
        type?: "spring" | undefined;
    } & import("react-native-reanimated").WithSpringConfig & {
        delay?: number | undefined;
    } & {
        repeat?: number | undefined;
        loop?: boolean | undefined;
        repeatReverse?: boolean | undefined;
    } & Partial<Record<"borderRadius" | "color" | "fontWeight" | "borderTopWidth" | "zIndex" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "backfaceVisibility" | "backgroundColor" | "borderBottomColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomWidth" | "borderLeftColor" | "borderLeftWidth" | "borderRightColor" | "borderRightWidth" | "borderTopColor" | "borderTopLeftRadius" | "borderTopRightRadius" | "bottom" | "direction" | "display" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "fontFamily" | "fontSize" | "fontStyle" | "fontVariant" | "height" | "justifyContent" | "left" | "letterSpacing" | "lineHeight" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "opacity" | "paddingBottom" | "paddingLeft" | "paddingRight" | "paddingTop" | "perspective" | "position" | "right" | "rotate" | "scale" | "textAlign" | "textDecorationColor" | "textDecorationLine" | "textDecorationStyle" | "textTransform" | "top" | "transform" | "width" | "borderColor" | "borderStyle" | "borderWidth" | "flex" | "margin" | "overflow" | "padding" | "elevation" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "textShadowColor" | "textShadowOffset" | "textShadowRadius" | "borderBottomEndRadius" | "borderBottomStartRadius" | "borderEndColor" | "borderStartColor" | "borderTopEndRadius" | "borderTopStartRadius" | "testID" | "borderEndWidth" | "borderStartWidth" | "end" | "marginEnd" | "marginHorizontal" | "marginStart" | "marginVertical" | "paddingEnd" | "paddingHorizontal" | "paddingStart" | "paddingVertical" | "start" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "writingDirection" | "textAlignVertical" | "includeFontPadding" | "resizeMode" | "overlayColor" | "tintColor" | "rotateX" | "rotateY" | "rotateZ" | "skewX" | "skewY", import("moti").TransitionConfig>>) | (((interaction: import("moti/interactions").MotiPressableInteractionState) => NonNullable<import("moti").MotiTransition<Omit<import("react-native").ImageStyle & import("react-native").TextStyle & import("react-native").ViewStyle, "perspective" | "rotate" | "scale" | "scaleX" | "scaleY" | "translateX" | "translateY" | "rotateX" | "rotateY" | "rotateZ" | "skewX" | "skewY"> & Partial<import("moti").Transforms> & Pick<import("react-native").ViewStyle, "transform">>>) & {
        type: "timing";
    } & import("react-native-reanimated").WithTimingConfig & {
        delay?: number | undefined;
    } & {
        repeat?: number | undefined;
        loop?: boolean | undefined;
        repeatReverse?: boolean | undefined;
    } & Partial<Record<"borderRadius" | "color" | "fontWeight" | "borderTopWidth" | "zIndex" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "backfaceVisibility" | "backgroundColor" | "borderBottomColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomWidth" | "borderLeftColor" | "borderLeftWidth" | "borderRightColor" | "borderRightWidth" | "borderTopColor" | "borderTopLeftRadius" | "borderTopRightRadius" | "bottom" | "direction" | "display" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "fontFamily" | "fontSize" | "fontStyle" | "fontVariant" | "height" | "justifyContent" | "left" | "letterSpacing" | "lineHeight" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "opacity" | "paddingBottom" | "paddingLeft" | "paddingRight" | "paddingTop" | "perspective" | "position" | "right" | "rotate" | "scale" | "textAlign" | "textDecorationColor" | "textDecorationLine" | "textDecorationStyle" | "textTransform" | "top" | "transform" | "width" | "borderColor" | "borderStyle" | "borderWidth" | "flex" | "margin" | "overflow" | "padding" | "elevation" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "textShadowColor" | "textShadowOffset" | "textShadowRadius" | "borderBottomEndRadius" | "borderBottomStartRadius" | "borderEndColor" | "borderStartColor" | "borderTopEndRadius" | "borderTopStartRadius" | "testID" | "borderEndWidth" | "borderStartWidth" | "end" | "marginEnd" | "marginHorizontal" | "marginStart" | "marginVertical" | "paddingEnd" | "paddingHorizontal" | "paddingStart" | "paddingVertical" | "start" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "writingDirection" | "textAlignVertical" | "includeFontPadding" | "resizeMode" | "overlayColor" | "tintColor" | "rotateX" | "rotateY" | "rotateZ" | "skewX" | "skewY", import("moti").TransitionConfig>>) | (((interaction: import("moti/interactions").MotiPressableInteractionState) => NonNullable<import("moti").MotiTransition<Omit<import("react-native").ImageStyle & import("react-native").TextStyle & import("react-native").ViewStyle, "perspective" | "rotate" | "scale" | "scaleX" | "scaleY" | "translateX" | "translateY" | "rotateX" | "rotateY" | "rotateZ" | "skewX" | "skewY"> & Partial<import("moti").Transforms> & Pick<import("react-native").ViewStyle, "transform">>>) & {
        type: "decay";
    } & import("react-native-reanimated").WithDecayConfig & {
        delay?: number | undefined;
    } & {
        repeat?: number | undefined;
        loop?: boolean | undefined;
        repeatReverse?: boolean | undefined;
    } & Partial<Record<"borderRadius" | "color" | "fontWeight" | "borderTopWidth" | "zIndex" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "backfaceVisibility" | "backgroundColor" | "borderBottomColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomWidth" | "borderLeftColor" | "borderLeftWidth" | "borderRightColor" | "borderRightWidth" | "borderTopColor" | "borderTopLeftRadius" | "borderTopRightRadius" | "bottom" | "direction" | "display" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "fontFamily" | "fontSize" | "fontStyle" | "fontVariant" | "height" | "justifyContent" | "left" | "letterSpacing" | "lineHeight" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "opacity" | "paddingBottom" | "paddingLeft" | "paddingRight" | "paddingTop" | "perspective" | "position" | "right" | "rotate" | "scale" | "textAlign" | "textDecorationColor" | "textDecorationLine" | "textDecorationStyle" | "textTransform" | "top" | "transform" | "width" | "borderColor" | "borderStyle" | "borderWidth" | "flex" | "margin" | "overflow" | "padding" | "elevation" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "textShadowColor" | "textShadowOffset" | "textShadowRadius" | "borderBottomEndRadius" | "borderBottomStartRadius" | "borderEndColor" | "borderStartColor" | "borderTopEndRadius" | "borderTopStartRadius" | "testID" | "borderEndWidth" | "borderStartWidth" | "end" | "marginEnd" | "marginHorizontal" | "marginStart" | "marginVertical" | "paddingEnd" | "paddingHorizontal" | "paddingStart" | "paddingVertical" | "start" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "writingDirection" | "textAlignVertical" | "includeFontPadding" | "resizeMode" | "overlayColor" | "tintColor" | "rotateX" | "rotateY" | "rotateZ" | "skewX" | "skewY", import("moti").TransitionConfig>>) | (((interaction: import("moti/interactions").MotiPressableInteractionState) => NonNullable<import("moti").MotiTransition<Omit<import("react-native").ImageStyle & import("react-native").TextStyle & import("react-native").ViewStyle, "perspective" | "rotate" | "scale" | "scaleX" | "scaleY" | "translateX" | "translateY" | "rotateX" | "rotateY" | "rotateZ" | "skewX" | "skewY"> & Partial<import("moti").Transforms> & Pick<import("react-native").ViewStyle, "transform">>>) & import("react-native-reanimated").SharedValue<import("moti").MotiTransition<import("moti").StyleValueWithReplacedTransforms<import("react-native").ImageStyle & import("react-native").TextStyle & import("react-native").ViewStyle>>>) | undefined;
    testID?: string | undefined;
    animate?: ((Partial<import("moti").StyleValueWithSequenceArraysWithoutTransform<import("moti").StyleValueWithReplacedTransforms<import("react-native").ViewStyle>, "borderRadius" | "borderTopWidth" | "zIndex" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "backfaceVisibility" | "backgroundColor" | "borderBottomColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomWidth" | "borderLeftColor" | "borderLeftWidth" | "borderRightColor" | "borderRightWidth" | "borderTopColor" | "borderTopLeftRadius" | "borderTopRightRadius" | "bottom" | "direction" | "display" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "height" | "justifyContent" | "left" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "opacity" | "paddingBottom" | "paddingLeft" | "paddingRight" | "paddingTop" | "perspective" | "position" | "right" | "rotate" | "scale" | "top" | "transform" | "width" | "borderColor" | "borderStyle" | "borderWidth" | "flex" | "margin" | "overflow" | "padding" | "elevation" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "borderBottomEndRadius" | "borderBottomStartRadius" | "borderEndColor" | "borderStartColor" | "borderTopEndRadius" | "borderTopStartRadius" | "testID" | "borderEndWidth" | "borderStartWidth" | "end" | "marginEnd" | "marginHorizontal" | "marginStart" | "marginVertical" | "paddingEnd" | "paddingHorizontal" | "paddingStart" | "paddingVertical" | "start" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "rotateX" | "rotateY" | "rotateZ" | "skewX" | "skewY", "borderRadius" | "borderTopWidth" | "zIndex" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "backfaceVisibility" | "backgroundColor" | "borderBottomColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomWidth" | "borderLeftColor" | "borderLeftWidth" | "borderRightColor" | "borderRightWidth" | "borderTopColor" | "borderTopLeftRadius" | "borderTopRightRadius" | "bottom" | "direction" | "display" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "height" | "justifyContent" | "left" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "opacity" | "paddingBottom" | "paddingLeft" | "paddingRight" | "paddingTop" | "perspective" | "position" | "right" | "rotate" | "scale" | "top" | "width" | "borderColor" | "borderStyle" | "borderWidth" | "flex" | "margin" | "overflow" | "padding" | "elevation" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "borderBottomEndRadius" | "borderBottomStartRadius" | "borderEndColor" | "borderStartColor" | "borderTopEndRadius" | "borderTopStartRadius" | "testID" | "borderEndWidth" | "borderStartWidth" | "end" | "marginEnd" | "marginHorizontal" | "marginStart" | "marginVertical" | "paddingEnd" | "paddingHorizontal" | "paddingStart" | "paddingVertical" | "start" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "rotateX" | "rotateY" | "rotateZ" | "skewX" | "skewY"> & import("moti").StyleValueWithSequenceArraysWithTransform> | import("react-native-reanimated").SharedValue<Partial<import("moti").StyleValueWithSequenceArraysWithoutTransform<import("moti").StyleValueWithReplacedTransforms<import("react-native").ViewStyle>, "borderRadius" | "borderTopWidth" | "zIndex" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "backfaceVisibility" | "backgroundColor" | "borderBottomColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomWidth" | "borderLeftColor" | "borderLeftWidth" | "borderRightColor" | "borderRightWidth" | "borderTopColor" | "borderTopLeftRadius" | "borderTopRightRadius" | "bottom" | "direction" | "display" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "height" | "justifyContent" | "left" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "opacity" | "paddingBottom" | "paddingLeft" | "paddingRight" | "paddingTop" | "perspective" | "position" | "right" | "rotate" | "scale" | "top" | "transform" | "width" | "borderColor" | "borderStyle" | "borderWidth" | "flex" | "margin" | "overflow" | "padding" | "elevation" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "borderBottomEndRadius" | "borderBottomStartRadius" | "borderEndColor" | "borderStartColor" | "borderTopEndRadius" | "borderTopStartRadius" | "testID" | "borderEndWidth" | "borderStartWidth" | "end" | "marginEnd" | "marginHorizontal" | "marginStart" | "marginVertical" | "paddingEnd" | "paddingHorizontal" | "paddingStart" | "paddingVertical" | "start" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "rotateX" | "rotateY" | "rotateZ" | "skewX" | "skewY", "borderRadius" | "borderTopWidth" | "zIndex" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "backfaceVisibility" | "backgroundColor" | "borderBottomColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomWidth" | "borderLeftColor" | "borderLeftWidth" | "borderRightColor" | "borderRightWidth" | "borderTopColor" | "borderTopLeftRadius" | "borderTopRightRadius" | "bottom" | "direction" | "display" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "height" | "justifyContent" | "left" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "opacity" | "paddingBottom" | "paddingLeft" | "paddingRight" | "paddingTop" | "perspective" | "position" | "right" | "rotate" | "scale" | "top" | "width" | "borderColor" | "borderStyle" | "borderWidth" | "flex" | "margin" | "overflow" | "padding" | "elevation" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "borderBottomEndRadius" | "borderBottomStartRadius" | "borderEndColor" | "borderStartColor" | "borderTopEndRadius" | "borderTopStartRadius" | "testID" | "borderEndWidth" | "borderStartWidth" | "end" | "marginEnd" | "marginHorizontal" | "marginStart" | "marginVertical" | "paddingEnd" | "paddingHorizontal" | "paddingStart" | "paddingVertical" | "start" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "rotateX" | "rotateY" | "rotateZ" | "skewX" | "skewY"> & import("moti").StyleValueWithSequenceArraysWithTransform>> | (() => Partial<import("moti").StyleValueWithSequenceArraysWithoutTransform<import("moti").StyleValueWithReplacedTransforms<import("react-native").ViewStyle>, "borderRadius" | "borderTopWidth" | "zIndex" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "backfaceVisibility" | "backgroundColor" | "borderBottomColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomWidth" | "borderLeftColor" | "borderLeftWidth" | "borderRightColor" | "borderRightWidth" | "borderTopColor" | "borderTopLeftRadius" | "borderTopRightRadius" | "bottom" | "direction" | "display" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "height" | "justifyContent" | "left" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "opacity" | "paddingBottom" | "paddingLeft" | "paddingRight" | "paddingTop" | "perspective" | "position" | "right" | "rotate" | "scale" | "top" | "transform" | "width" | "borderColor" | "borderStyle" | "borderWidth" | "flex" | "margin" | "overflow" | "padding" | "elevation" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "borderBottomEndRadius" | "borderBottomStartRadius" | "borderEndColor" | "borderStartColor" | "borderTopEndRadius" | "borderTopStartRadius" | "testID" | "borderEndWidth" | "borderStartWidth" | "end" | "marginEnd" | "marginHorizontal" | "marginStart" | "marginVertical" | "paddingEnd" | "paddingHorizontal" | "paddingStart" | "paddingVertical" | "start" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "rotateX" | "rotateY" | "rotateZ" | "skewX" | "skewY", "borderRadius" | "borderTopWidth" | "zIndex" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "backfaceVisibility" | "backgroundColor" | "borderBottomColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomWidth" | "borderLeftColor" | "borderLeftWidth" | "borderRightColor" | "borderRightWidth" | "borderTopColor" | "borderTopLeftRadius" | "borderTopRightRadius" | "bottom" | "direction" | "display" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "height" | "justifyContent" | "left" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "opacity" | "paddingBottom" | "paddingLeft" | "paddingRight" | "paddingTop" | "perspective" | "position" | "right" | "rotate" | "scale" | "top" | "width" | "borderColor" | "borderStyle" | "borderWidth" | "flex" | "margin" | "overflow" | "padding" | "elevation" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "borderBottomEndRadius" | "borderBottomStartRadius" | "borderEndColor" | "borderStartColor" | "borderTopEndRadius" | "borderTopStartRadius" | "testID" | "borderEndWidth" | "borderStartWidth" | "end" | "marginEnd" | "marginHorizontal" | "marginStart" | "marginVertical" | "paddingEnd" | "paddingHorizontal" | "paddingStart" | "paddingVertical" | "start" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "rotateX" | "rotateY" | "rotateZ" | "skewX" | "skewY"> & import("moti").StyleValueWithSequenceArraysWithTransform>) | ((interaction: import("moti/interactions").MotiPressableInteractionState) => NonNullable<import("moti/interactions").AnimateProp>)) & ((Partial<import("moti").StyleValueWithSequenceArraysWithoutTransform<import("moti").StyleValueWithReplacedTransforms<import("react-native").ImageStyle & import("react-native").TextStyle & import("react-native").ViewStyle>, "borderRadius" | "color" | "fontWeight" | "borderTopWidth" | "zIndex" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "backfaceVisibility" | "backgroundColor" | "borderBottomColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomWidth" | "borderLeftColor" | "borderLeftWidth" | "borderRightColor" | "borderRightWidth" | "borderTopColor" | "borderTopLeftRadius" | "borderTopRightRadius" | "bottom" | "direction" | "display" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "fontFamily" | "fontSize" | "fontStyle" | "fontVariant" | "height" | "justifyContent" | "left" | "letterSpacing" | "lineHeight" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "opacity" | "paddingBottom" | "paddingLeft" | "paddingRight" | "paddingTop" | "perspective" | "position" | "right" | "rotate" | "scale" | "textAlign" | "textDecorationColor" | "textDecorationLine" | "textDecorationStyle" | "textTransform" | "top" | "transform" | "width" | "borderColor" | "borderStyle" | "borderWidth" | "flex" | "margin" | "overflow" | "padding" | "elevation" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "textShadowColor" | "textShadowOffset" | "textShadowRadius" | "borderBottomEndRadius" | "borderBottomStartRadius" | "borderEndColor" | "borderStartColor" | "borderTopEndRadius" | "borderTopStartRadius" | "testID" | "borderEndWidth" | "borderStartWidth" | "end" | "marginEnd" | "marginHorizontal" | "marginStart" | "marginVertical" | "paddingEnd" | "paddingHorizontal" | "paddingStart" | "paddingVertical" | "start" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "writingDirection" | "textAlignVertical" | "includeFontPadding" | "resizeMode" | "overlayColor" | "tintColor" | "rotateX" | "rotateY" | "rotateZ" | "skewX" | "skewY", "borderRadius" | "color" | "fontWeight" | "borderTopWidth" | "zIndex" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "backfaceVisibility" | "backgroundColor" | "borderBottomColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomWidth" | "borderLeftColor" | "borderLeftWidth" | "borderRightColor" | "borderRightWidth" | "borderTopColor" | "borderTopLeftRadius" | "borderTopRightRadius" | "bottom" | "direction" | "display" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "fontFamily" | "fontSize" | "fontStyle" | "fontVariant" | "height" | "justifyContent" | "left" | "letterSpacing" | "lineHeight" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "opacity" | "paddingBottom" | "paddingLeft" | "paddingRight" | "paddingTop" | "perspective" | "position" | "right" | "rotate" | "scale" | "textAlign" | "textDecorationColor" | "textDecorationLine" | "textDecorationStyle" | "textTransform" | "top" | "width" | "borderColor" | "borderStyle" | "borderWidth" | "flex" | "margin" | "overflow" | "padding" | "elevation" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "textShadowColor" | "textShadowOffset" | "textShadowRadius" | "borderBottomEndRadius" | "borderBottomStartRadius" | "borderEndColor" | "borderStartColor" | "borderTopEndRadius" | "borderTopStartRadius" | "testID" | "borderEndWidth" | "borderStartWidth" | "end" | "marginEnd" | "marginHorizontal" | "marginStart" | "marginVertical" | "paddingEnd" | "paddingHorizontal" | "paddingStart" | "paddingVertical" | "start" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "writingDirection" | "textAlignVertical" | "includeFontPadding" | "resizeMode" | "overlayColor" | "tintColor" | "rotateX" | "rotateY" | "rotateZ" | "skewX" | "skewY"> & import("moti").StyleValueWithSequenceArraysWithTransform> | import("react-native-reanimated").SharedValue<Partial<import("moti").StyleValueWithSequenceArraysWithoutTransform<import("moti").StyleValueWithReplacedTransforms<import("react-native").ImageStyle & import("react-native").TextStyle & import("react-native").ViewStyle>, "borderRadius" | "color" | "fontWeight" | "borderTopWidth" | "zIndex" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "backfaceVisibility" | "backgroundColor" | "borderBottomColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomWidth" | "borderLeftColor" | "borderLeftWidth" | "borderRightColor" | "borderRightWidth" | "borderTopColor" | "borderTopLeftRadius" | "borderTopRightRadius" | "bottom" | "direction" | "display" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "fontFamily" | "fontSize" | "fontStyle" | "fontVariant" | "height" | "justifyContent" | "left" | "letterSpacing" | "lineHeight" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "opacity" | "paddingBottom" | "paddingLeft" | "paddingRight" | "paddingTop" | "perspective" | "position" | "right" | "rotate" | "scale" | "textAlign" | "textDecorationColor" | "textDecorationLine" | "textDecorationStyle" | "textTransform" | "top" | "transform" | "width" | "borderColor" | "borderStyle" | "borderWidth" | "flex" | "margin" | "overflow" | "padding" | "elevation" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "textShadowColor" | "textShadowOffset" | "textShadowRadius" | "borderBottomEndRadius" | "borderBottomStartRadius" | "borderEndColor" | "borderStartColor" | "borderTopEndRadius" | "borderTopStartRadius" | "testID" | "borderEndWidth" | "borderStartWidth" | "end" | "marginEnd" | "marginHorizontal" | "marginStart" | "marginVertical" | "paddingEnd" | "paddingHorizontal" | "paddingStart" | "paddingVertical" | "start" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "writingDirection" | "textAlignVertical" | "includeFontPadding" | "resizeMode" | "overlayColor" | "tintColor" | "rotateX" | "rotateY" | "rotateZ" | "skewX" | "skewY", "borderRadius" | "color" | "fontWeight" | "borderTopWidth" | "zIndex" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "backfaceVisibility" | "backgroundColor" | "borderBottomColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomWidth" | "borderLeftColor" | "borderLeftWidth" | "borderRightColor" | "borderRightWidth" | "borderTopColor" | "borderTopLeftRadius" | "borderTopRightRadius" | "bottom" | "direction" | "display" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "fontFamily" | "fontSize" | "fontStyle" | "fontVariant" | "height" | "justifyContent" | "left" | "letterSpacing" | "lineHeight" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "opacity" | "paddingBottom" | "paddingLeft" | "paddingRight" | "paddingTop" | "perspective" | "position" | "right" | "rotate" | "scale" | "textAlign" | "textDecorationColor" | "textDecorationLine" | "textDecorationStyle" | "textTransform" | "top" | "width" | "borderColor" | "borderStyle" | "borderWidth" | "flex" | "margin" | "overflow" | "padding" | "elevation" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "textShadowColor" | "textShadowOffset" | "textShadowRadius" | "borderBottomEndRadius" | "borderBottomStartRadius" | "borderEndColor" | "borderStartColor" | "borderTopEndRadius" | "borderTopStartRadius" | "testID" | "borderEndWidth" | "borderStartWidth" | "end" | "marginEnd" | "marginHorizontal" | "marginStart" | "marginVertical" | "paddingEnd" | "paddingHorizontal" | "paddingStart" | "paddingVertical" | "start" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "writingDirection" | "textAlignVertical" | "includeFontPadding" | "resizeMode" | "overlayColor" | "tintColor" | "rotateX" | "rotateY" | "rotateZ" | "skewX" | "skewY"> & import("moti").StyleValueWithSequenceArraysWithTransform>>) | (() => Partial<import("moti").StyleValueWithSequenceArraysWithoutTransform<import("moti").StyleValueWithReplacedTransforms<import("react-native").ImageStyle & import("react-native").TextStyle & import("react-native").ViewStyle>, "borderRadius" | "color" | "fontWeight" | "borderTopWidth" | "zIndex" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "backfaceVisibility" | "backgroundColor" | "borderBottomColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomWidth" | "borderLeftColor" | "borderLeftWidth" | "borderRightColor" | "borderRightWidth" | "borderTopColor" | "borderTopLeftRadius" | "borderTopRightRadius" | "bottom" | "direction" | "display" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "fontFamily" | "fontSize" | "fontStyle" | "fontVariant" | "height" | "justifyContent" | "left" | "letterSpacing" | "lineHeight" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "opacity" | "paddingBottom" | "paddingLeft" | "paddingRight" | "paddingTop" | "perspective" | "position" | "right" | "rotate" | "scale" | "textAlign" | "textDecorationColor" | "textDecorationLine" | "textDecorationStyle" | "textTransform" | "top" | "transform" | "width" | "borderColor" | "borderStyle" | "borderWidth" | "flex" | "margin" | "overflow" | "padding" | "elevation" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "textShadowColor" | "textShadowOffset" | "textShadowRadius" | "borderBottomEndRadius" | "borderBottomStartRadius" | "borderEndColor" | "borderStartColor" | "borderTopEndRadius" | "borderTopStartRadius" | "testID" | "borderEndWidth" | "borderStartWidth" | "end" | "marginEnd" | "marginHorizontal" | "marginStart" | "marginVertical" | "paddingEnd" | "paddingHorizontal" | "paddingStart" | "paddingVertical" | "start" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "writingDirection" | "textAlignVertical" | "includeFontPadding" | "resizeMode" | "overlayColor" | "tintColor" | "rotateX" | "rotateY" | "rotateZ" | "skewX" | "skewY", "borderRadius" | "color" | "fontWeight" | "borderTopWidth" | "zIndex" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "backfaceVisibility" | "backgroundColor" | "borderBottomColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomWidth" | "borderLeftColor" | "borderLeftWidth" | "borderRightColor" | "borderRightWidth" | "borderTopColor" | "borderTopLeftRadius" | "borderTopRightRadius" | "bottom" | "direction" | "display" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "fontFamily" | "fontSize" | "fontStyle" | "fontVariant" | "height" | "justifyContent" | "left" | "letterSpacing" | "lineHeight" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "opacity" | "paddingBottom" | "paddingLeft" | "paddingRight" | "paddingTop" | "perspective" | "position" | "right" | "rotate" | "scale" | "textAlign" | "textDecorationColor" | "textDecorationLine" | "textDecorationStyle" | "textTransform" | "top" | "width" | "borderColor" | "borderStyle" | "borderWidth" | "flex" | "margin" | "overflow" | "padding" | "elevation" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "textShadowColor" | "textShadowOffset" | "textShadowRadius" | "borderBottomEndRadius" | "borderBottomStartRadius" | "borderEndColor" | "borderStartColor" | "borderTopEndRadius" | "borderTopStartRadius" | "testID" | "borderEndWidth" | "borderStartWidth" | "end" | "marginEnd" | "marginHorizontal" | "marginStart" | "marginVertical" | "paddingEnd" | "paddingHorizontal" | "paddingStart" | "paddingVertical" | "start" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "writingDirection" | "textAlignVertical" | "includeFontPadding" | "resizeMode" | "overlayColor" | "tintColor" | "rotateX" | "rotateY" | "rotateZ" | "skewX" | "skewY"> & import("moti").StyleValueWithSequenceArraysWithTransform>))) | undefined;
    animateInitialState?: boolean | undefined;
    animateSx?: import("dripsy").SxProp | undefined;
    delay?: number | undefined;
    exit?: ((boolean | import("moti").StyleValueWithReplacedTransforms<import("react-native").ViewStyle | import("react-native").TextStyle | import("react-native").ImageStyle> | ((custom?: any) => import("moti").StyleValueWithReplacedTransforms<import("react-native").ViewStyle | import("react-native").TextStyle | import("react-native").ImageStyle>)) & (boolean | import("moti").StyleValueWithReplacedTransforms<import("react-native").ImageStyle & import("react-native").TextStyle & import("react-native").ViewStyle> | ((custom?: any) => import("moti").StyleValueWithReplacedTransforms<import("react-native").ImageStyle & import("react-native").TextStyle & import("react-native").ViewStyle>))) | undefined;
    exitSx?: import("dripsy").SxProp | undefined;
    exitTransition?: ({
        type?: "spring" | undefined;
    } & import("react-native-reanimated").WithSpringConfig & {
        delay?: number | undefined;
    } & {
        repeat?: number | undefined;
        loop?: boolean | undefined;
        repeatReverse?: boolean | undefined;
    } & Partial<Record<"borderRadius" | "borderTopWidth" | "zIndex" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "backfaceVisibility" | "backgroundColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomWidth" | "borderLeftWidth" | "borderRightWidth" | "borderTopLeftRadius" | "borderTopRightRadius" | "bottom" | "direction" | "display" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "height" | "justifyContent" | "left" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "opacity" | "paddingBottom" | "paddingLeft" | "paddingRight" | "paddingTop" | "perspective" | "position" | "right" | "rotate" | "scale" | "top" | "transform" | "width" | "borderColor" | "borderWidth" | "flex" | "margin" | "overflow" | "padding" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "borderEndWidth" | "borderStartWidth" | "end" | "marginEnd" | "marginHorizontal" | "marginStart" | "marginVertical" | "paddingEnd" | "paddingHorizontal" | "paddingStart" | "paddingVertical" | "start" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "rotateX" | "rotateY" | "rotateZ" | "skewX" | "skewY", import("moti").TransitionConfig>> & Partial<Record<"borderRadius" | "color" | "fontWeight" | "borderTopWidth" | "zIndex" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "backfaceVisibility" | "backgroundColor" | "borderBottomColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomWidth" | "borderLeftColor" | "borderLeftWidth" | "borderRightColor" | "borderRightWidth" | "borderTopColor" | "borderTopLeftRadius" | "borderTopRightRadius" | "bottom" | "direction" | "display" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "fontFamily" | "fontSize" | "fontStyle" | "fontVariant" | "height" | "justifyContent" | "left" | "letterSpacing" | "lineHeight" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "opacity" | "paddingBottom" | "paddingLeft" | "paddingRight" | "paddingTop" | "perspective" | "position" | "right" | "rotate" | "scale" | "textAlign" | "textDecorationColor" | "textDecorationLine" | "textDecorationStyle" | "textTransform" | "top" | "transform" | "width" | "borderColor" | "borderStyle" | "borderWidth" | "flex" | "margin" | "overflow" | "padding" | "elevation" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "textShadowColor" | "textShadowOffset" | "textShadowRadius" | "borderBottomEndRadius" | "borderBottomStartRadius" | "borderEndColor" | "borderStartColor" | "borderTopEndRadius" | "borderTopStartRadius" | "testID" | "borderEndWidth" | "borderStartWidth" | "end" | "marginEnd" | "marginHorizontal" | "marginStart" | "marginVertical" | "paddingEnd" | "paddingHorizontal" | "paddingStart" | "paddingVertical" | "start" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "writingDirection" | "textAlignVertical" | "includeFontPadding" | "resizeMode" | "overlayColor" | "tintColor" | "rotateX" | "rotateY" | "rotateZ" | "skewX" | "skewY", import("moti").TransitionConfig>>) | ({
        type?: "spring" | undefined;
    } & import("react-native-reanimated").WithSpringConfig & {
        delay?: number | undefined;
    } & {
        repeat?: number | undefined;
        loop?: boolean | undefined;
        repeatReverse?: boolean | undefined;
    } & Partial<Record<"borderRadius" | "borderTopWidth" | "zIndex" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "backfaceVisibility" | "backgroundColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomWidth" | "borderLeftWidth" | "borderRightWidth" | "borderTopLeftRadius" | "borderTopRightRadius" | "bottom" | "direction" | "display" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "height" | "justifyContent" | "left" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "opacity" | "paddingBottom" | "paddingLeft" | "paddingRight" | "paddingTop" | "perspective" | "position" | "right" | "rotate" | "scale" | "top" | "transform" | "width" | "borderColor" | "borderWidth" | "flex" | "margin" | "overflow" | "padding" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "borderEndWidth" | "borderStartWidth" | "end" | "marginEnd" | "marginHorizontal" | "marginStart" | "marginVertical" | "paddingEnd" | "paddingHorizontal" | "paddingStart" | "paddingVertical" | "start" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "rotateX" | "rotateY" | "rotateZ" | "skewX" | "skewY", import("moti").TransitionConfig>> & import("react-native-reanimated").SharedValue<import("moti").MotiTransition<import("moti").StyleValueWithReplacedTransforms<import("react-native").ImageStyle & import("react-native").TextStyle & import("react-native").ViewStyle>>>) | ({
        type?: "spring" | undefined;
    } & import("react-native-reanimated").WithSpringConfig & {
        delay?: number | undefined;
    } & {
        repeat?: number | undefined;
        loop?: boolean | undefined;
        repeatReverse?: boolean | undefined;
    } & Partial<Record<"borderRadius" | "borderTopWidth" | "zIndex" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "backfaceVisibility" | "backgroundColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomWidth" | "borderLeftWidth" | "borderRightWidth" | "borderTopLeftRadius" | "borderTopRightRadius" | "bottom" | "direction" | "display" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "height" | "justifyContent" | "left" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "opacity" | "paddingBottom" | "paddingLeft" | "paddingRight" | "paddingTop" | "perspective" | "position" | "right" | "rotate" | "scale" | "top" | "transform" | "width" | "borderColor" | "borderWidth" | "flex" | "margin" | "overflow" | "padding" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "borderEndWidth" | "borderStartWidth" | "end" | "marginEnd" | "marginHorizontal" | "marginStart" | "marginVertical" | "paddingEnd" | "paddingHorizontal" | "paddingStart" | "paddingVertical" | "start" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "rotateX" | "rotateY" | "rotateZ" | "skewX" | "skewY", import("moti").TransitionConfig>> & ((custom?: any) => import("moti").MotiTransition<import("moti").StyleValueWithReplacedTransforms<import("react-native").ImageStyle & import("react-native").TextStyle & import("react-native").ViewStyle>>)) | ({
        type: "timing";
    } & import("react-native-reanimated").WithTimingConfig & {
        delay?: number | undefined;
    } & {
        repeat?: number | undefined;
        loop?: boolean | undefined;
        repeatReverse?: boolean | undefined;
    } & Partial<Record<"borderRadius" | "borderTopWidth" | "zIndex" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "backfaceVisibility" | "backgroundColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomWidth" | "borderLeftWidth" | "borderRightWidth" | "borderTopLeftRadius" | "borderTopRightRadius" | "bottom" | "direction" | "display" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "height" | "justifyContent" | "left" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "opacity" | "paddingBottom" | "paddingLeft" | "paddingRight" | "paddingTop" | "perspective" | "position" | "right" | "rotate" | "scale" | "top" | "transform" | "width" | "borderColor" | "borderWidth" | "flex" | "margin" | "overflow" | "padding" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "borderEndWidth" | "borderStartWidth" | "end" | "marginEnd" | "marginHorizontal" | "marginStart" | "marginVertical" | "paddingEnd" | "paddingHorizontal" | "paddingStart" | "paddingVertical" | "start" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "rotateX" | "rotateY" | "rotateZ" | "skewX" | "skewY", import("moti").TransitionConfig>> & Partial<Record<"borderRadius" | "color" | "fontWeight" | "borderTopWidth" | "zIndex" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "backfaceVisibility" | "backgroundColor" | "borderBottomColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomWidth" | "borderLeftColor" | "borderLeftWidth" | "borderRightColor" | "borderRightWidth" | "borderTopColor" | "borderTopLeftRadius" | "borderTopRightRadius" | "bottom" | "direction" | "display" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "fontFamily" | "fontSize" | "fontStyle" | "fontVariant" | "height" | "justifyContent" | "left" | "letterSpacing" | "lineHeight" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "opacity" | "paddingBottom" | "paddingLeft" | "paddingRight" | "paddingTop" | "perspective" | "position" | "right" | "rotate" | "scale" | "textAlign" | "textDecorationColor" | "textDecorationLine" | "textDecorationStyle" | "textTransform" | "top" | "transform" | "width" | "borderColor" | "borderStyle" | "borderWidth" | "flex" | "margin" | "overflow" | "padding" | "elevation" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "textShadowColor" | "textShadowOffset" | "textShadowRadius" | "borderBottomEndRadius" | "borderBottomStartRadius" | "borderEndColor" | "borderStartColor" | "borderTopEndRadius" | "borderTopStartRadius" | "testID" | "borderEndWidth" | "borderStartWidth" | "end" | "marginEnd" | "marginHorizontal" | "marginStart" | "marginVertical" | "paddingEnd" | "paddingHorizontal" | "paddingStart" | "paddingVertical" | "start" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "writingDirection" | "textAlignVertical" | "includeFontPadding" | "resizeMode" | "overlayColor" | "tintColor" | "rotateX" | "rotateY" | "rotateZ" | "skewX" | "skewY", import("moti").TransitionConfig>>) | ({
        type: "timing";
    } & import("react-native-reanimated").WithTimingConfig & {
        delay?: number | undefined;
    } & {
        repeat?: number | undefined;
        loop?: boolean | undefined;
        repeatReverse?: boolean | undefined;
    } & Partial<Record<"borderRadius" | "borderTopWidth" | "zIndex" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "backfaceVisibility" | "backgroundColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomWidth" | "borderLeftWidth" | "borderRightWidth" | "borderTopLeftRadius" | "borderTopRightRadius" | "bottom" | "direction" | "display" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "height" | "justifyContent" | "left" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "opacity" | "paddingBottom" | "paddingLeft" | "paddingRight" | "paddingTop" | "perspective" | "position" | "right" | "rotate" | "scale" | "top" | "transform" | "width" | "borderColor" | "borderWidth" | "flex" | "margin" | "overflow" | "padding" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "borderEndWidth" | "borderStartWidth" | "end" | "marginEnd" | "marginHorizontal" | "marginStart" | "marginVertical" | "paddingEnd" | "paddingHorizontal" | "paddingStart" | "paddingVertical" | "start" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "rotateX" | "rotateY" | "rotateZ" | "skewX" | "skewY", import("moti").TransitionConfig>> & import("react-native-reanimated").SharedValue<import("moti").MotiTransition<import("moti").StyleValueWithReplacedTransforms<import("react-native").ImageStyle & import("react-native").TextStyle & import("react-native").ViewStyle>>>) | ({
        type: "timing";
    } & import("react-native-reanimated").WithTimingConfig & {
        delay?: number | undefined;
    } & {
        repeat?: number | undefined;
        loop?: boolean | undefined;
        repeatReverse?: boolean | undefined;
    } & Partial<Record<"borderRadius" | "borderTopWidth" | "zIndex" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "backfaceVisibility" | "backgroundColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomWidth" | "borderLeftWidth" | "borderRightWidth" | "borderTopLeftRadius" | "borderTopRightRadius" | "bottom" | "direction" | "display" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "height" | "justifyContent" | "left" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "opacity" | "paddingBottom" | "paddingLeft" | "paddingRight" | "paddingTop" | "perspective" | "position" | "right" | "rotate" | "scale" | "top" | "transform" | "width" | "borderColor" | "borderWidth" | "flex" | "margin" | "overflow" | "padding" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "borderEndWidth" | "borderStartWidth" | "end" | "marginEnd" | "marginHorizontal" | "marginStart" | "marginVertical" | "paddingEnd" | "paddingHorizontal" | "paddingStart" | "paddingVertical" | "start" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "rotateX" | "rotateY" | "rotateZ" | "skewX" | "skewY", import("moti").TransitionConfig>> & ((custom?: any) => import("moti").MotiTransition<import("moti").StyleValueWithReplacedTransforms<import("react-native").ImageStyle & import("react-native").TextStyle & import("react-native").ViewStyle>>)) | ({
        type: "decay";
    } & import("react-native-reanimated").WithDecayConfig & {
        delay?: number | undefined;
    } & {
        repeat?: number | undefined;
        loop?: boolean | undefined;
        repeatReverse?: boolean | undefined;
    } & Partial<Record<"borderRadius" | "borderTopWidth" | "zIndex" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "backfaceVisibility" | "backgroundColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomWidth" | "borderLeftWidth" | "borderRightWidth" | "borderTopLeftRadius" | "borderTopRightRadius" | "bottom" | "direction" | "display" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "height" | "justifyContent" | "left" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "opacity" | "paddingBottom" | "paddingLeft" | "paddingRight" | "paddingTop" | "perspective" | "position" | "right" | "rotate" | "scale" | "top" | "transform" | "width" | "borderColor" | "borderWidth" | "flex" | "margin" | "overflow" | "padding" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "borderEndWidth" | "borderStartWidth" | "end" | "marginEnd" | "marginHorizontal" | "marginStart" | "marginVertical" | "paddingEnd" | "paddingHorizontal" | "paddingStart" | "paddingVertical" | "start" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "rotateX" | "rotateY" | "rotateZ" | "skewX" | "skewY", import("moti").TransitionConfig>> & Partial<Record<"borderRadius" | "color" | "fontWeight" | "borderTopWidth" | "zIndex" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "backfaceVisibility" | "backgroundColor" | "borderBottomColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomWidth" | "borderLeftColor" | "borderLeftWidth" | "borderRightColor" | "borderRightWidth" | "borderTopColor" | "borderTopLeftRadius" | "borderTopRightRadius" | "bottom" | "direction" | "display" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "fontFamily" | "fontSize" | "fontStyle" | "fontVariant" | "height" | "justifyContent" | "left" | "letterSpacing" | "lineHeight" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "opacity" | "paddingBottom" | "paddingLeft" | "paddingRight" | "paddingTop" | "perspective" | "position" | "right" | "rotate" | "scale" | "textAlign" | "textDecorationColor" | "textDecorationLine" | "textDecorationStyle" | "textTransform" | "top" | "transform" | "width" | "borderColor" | "borderStyle" | "borderWidth" | "flex" | "margin" | "overflow" | "padding" | "elevation" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "textShadowColor" | "textShadowOffset" | "textShadowRadius" | "borderBottomEndRadius" | "borderBottomStartRadius" | "borderEndColor" | "borderStartColor" | "borderTopEndRadius" | "borderTopStartRadius" | "testID" | "borderEndWidth" | "borderStartWidth" | "end" | "marginEnd" | "marginHorizontal" | "marginStart" | "marginVertical" | "paddingEnd" | "paddingHorizontal" | "paddingStart" | "paddingVertical" | "start" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "writingDirection" | "textAlignVertical" | "includeFontPadding" | "resizeMode" | "overlayColor" | "tintColor" | "rotateX" | "rotateY" | "rotateZ" | "skewX" | "skewY", import("moti").TransitionConfig>>) | ({
        type: "decay";
    } & import("react-native-reanimated").WithDecayConfig & {
        delay?: number | undefined;
    } & {
        repeat?: number | undefined;
        loop?: boolean | undefined;
        repeatReverse?: boolean | undefined;
    } & Partial<Record<"borderRadius" | "borderTopWidth" | "zIndex" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "backfaceVisibility" | "backgroundColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomWidth" | "borderLeftWidth" | "borderRightWidth" | "borderTopLeftRadius" | "borderTopRightRadius" | "bottom" | "direction" | "display" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "height" | "justifyContent" | "left" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "opacity" | "paddingBottom" | "paddingLeft" | "paddingRight" | "paddingTop" | "perspective" | "position" | "right" | "rotate" | "scale" | "top" | "transform" | "width" | "borderColor" | "borderWidth" | "flex" | "margin" | "overflow" | "padding" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "borderEndWidth" | "borderStartWidth" | "end" | "marginEnd" | "marginHorizontal" | "marginStart" | "marginVertical" | "paddingEnd" | "paddingHorizontal" | "paddingStart" | "paddingVertical" | "start" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "rotateX" | "rotateY" | "rotateZ" | "skewX" | "skewY", import("moti").TransitionConfig>> & import("react-native-reanimated").SharedValue<import("moti").MotiTransition<import("moti").StyleValueWithReplacedTransforms<import("react-native").ImageStyle & import("react-native").TextStyle & import("react-native").ViewStyle>>>) | ({
        type: "decay";
    } & import("react-native-reanimated").WithDecayConfig & {
        delay?: number | undefined;
    } & {
        repeat?: number | undefined;
        loop?: boolean | undefined;
        repeatReverse?: boolean | undefined;
    } & Partial<Record<"borderRadius" | "borderTopWidth" | "zIndex" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "backfaceVisibility" | "backgroundColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomWidth" | "borderLeftWidth" | "borderRightWidth" | "borderTopLeftRadius" | "borderTopRightRadius" | "bottom" | "direction" | "display" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "height" | "justifyContent" | "left" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "opacity" | "paddingBottom" | "paddingLeft" | "paddingRight" | "paddingTop" | "perspective" | "position" | "right" | "rotate" | "scale" | "top" | "transform" | "width" | "borderColor" | "borderWidth" | "flex" | "margin" | "overflow" | "padding" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "borderEndWidth" | "borderStartWidth" | "end" | "marginEnd" | "marginHorizontal" | "marginStart" | "marginVertical" | "paddingEnd" | "paddingHorizontal" | "paddingStart" | "paddingVertical" | "start" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "rotateX" | "rotateY" | "rotateZ" | "skewX" | "skewY", import("moti").TransitionConfig>> & ((custom?: any) => import("moti").MotiTransition<import("moti").StyleValueWithReplacedTransforms<import("react-native").ImageStyle & import("react-native").TextStyle & import("react-native").ViewStyle>>)) | (import("react-native-reanimated").SharedValue<import("moti").MotiTransition<import("moti").StyleValueWithReplacedTransforms<import("react-native").ViewStyle | import("react-native").TextStyle | import("react-native").ImageStyle>>> & {
        type?: "spring" | undefined;
    } & import("react-native-reanimated").WithSpringConfig & {
        delay?: number | undefined;
    } & {
        repeat?: number | undefined;
        loop?: boolean | undefined;
        repeatReverse?: boolean | undefined;
    } & Partial<Record<"borderRadius" | "color" | "fontWeight" | "borderTopWidth" | "zIndex" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "backfaceVisibility" | "backgroundColor" | "borderBottomColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomWidth" | "borderLeftColor" | "borderLeftWidth" | "borderRightColor" | "borderRightWidth" | "borderTopColor" | "borderTopLeftRadius" | "borderTopRightRadius" | "bottom" | "direction" | "display" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "fontFamily" | "fontSize" | "fontStyle" | "fontVariant" | "height" | "justifyContent" | "left" | "letterSpacing" | "lineHeight" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "opacity" | "paddingBottom" | "paddingLeft" | "paddingRight" | "paddingTop" | "perspective" | "position" | "right" | "rotate" | "scale" | "textAlign" | "textDecorationColor" | "textDecorationLine" | "textDecorationStyle" | "textTransform" | "top" | "transform" | "width" | "borderColor" | "borderStyle" | "borderWidth" | "flex" | "margin" | "overflow" | "padding" | "elevation" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "textShadowColor" | "textShadowOffset" | "textShadowRadius" | "borderBottomEndRadius" | "borderBottomStartRadius" | "borderEndColor" | "borderStartColor" | "borderTopEndRadius" | "borderTopStartRadius" | "testID" | "borderEndWidth" | "borderStartWidth" | "end" | "marginEnd" | "marginHorizontal" | "marginStart" | "marginVertical" | "paddingEnd" | "paddingHorizontal" | "paddingStart" | "paddingVertical" | "start" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "writingDirection" | "textAlignVertical" | "includeFontPadding" | "resizeMode" | "overlayColor" | "tintColor" | "rotateX" | "rotateY" | "rotateZ" | "skewX" | "skewY", import("moti").TransitionConfig>>) | (import("react-native-reanimated").SharedValue<import("moti").MotiTransition<import("moti").StyleValueWithReplacedTransforms<import("react-native").ViewStyle | import("react-native").TextStyle | import("react-native").ImageStyle>>> & {
        type: "timing";
    } & import("react-native-reanimated").WithTimingConfig & {
        delay?: number | undefined;
    } & {
        repeat?: number | undefined;
        loop?: boolean | undefined;
        repeatReverse?: boolean | undefined;
    } & Partial<Record<"borderRadius" | "color" | "fontWeight" | "borderTopWidth" | "zIndex" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "backfaceVisibility" | "backgroundColor" | "borderBottomColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomWidth" | "borderLeftColor" | "borderLeftWidth" | "borderRightColor" | "borderRightWidth" | "borderTopColor" | "borderTopLeftRadius" | "borderTopRightRadius" | "bottom" | "direction" | "display" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "fontFamily" | "fontSize" | "fontStyle" | "fontVariant" | "height" | "justifyContent" | "left" | "letterSpacing" | "lineHeight" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "opacity" | "paddingBottom" | "paddingLeft" | "paddingRight" | "paddingTop" | "perspective" | "position" | "right" | "rotate" | "scale" | "textAlign" | "textDecorationColor" | "textDecorationLine" | "textDecorationStyle" | "textTransform" | "top" | "transform" | "width" | "borderColor" | "borderStyle" | "borderWidth" | "flex" | "margin" | "overflow" | "padding" | "elevation" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "textShadowColor" | "textShadowOffset" | "textShadowRadius" | "borderBottomEndRadius" | "borderBottomStartRadius" | "borderEndColor" | "borderStartColor" | "borderTopEndRadius" | "borderTopStartRadius" | "testID" | "borderEndWidth" | "borderStartWidth" | "end" | "marginEnd" | "marginHorizontal" | "marginStart" | "marginVertical" | "paddingEnd" | "paddingHorizontal" | "paddingStart" | "paddingVertical" | "start" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "writingDirection" | "textAlignVertical" | "includeFontPadding" | "resizeMode" | "overlayColor" | "tintColor" | "rotateX" | "rotateY" | "rotateZ" | "skewX" | "skewY", import("moti").TransitionConfig>>) | (import("react-native-reanimated").SharedValue<import("moti").MotiTransition<import("moti").StyleValueWithReplacedTransforms<import("react-native").ViewStyle | import("react-native").TextStyle | import("react-native").ImageStyle>>> & {
        type: "decay";
    } & import("react-native-reanimated").WithDecayConfig & {
        delay?: number | undefined;
    } & {
        repeat?: number | undefined;
        loop?: boolean | undefined;
        repeatReverse?: boolean | undefined;
    } & Partial<Record<"borderRadius" | "color" | "fontWeight" | "borderTopWidth" | "zIndex" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "backfaceVisibility" | "backgroundColor" | "borderBottomColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomWidth" | "borderLeftColor" | "borderLeftWidth" | "borderRightColor" | "borderRightWidth" | "borderTopColor" | "borderTopLeftRadius" | "borderTopRightRadius" | "bottom" | "direction" | "display" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "fontFamily" | "fontSize" | "fontStyle" | "fontVariant" | "height" | "justifyContent" | "left" | "letterSpacing" | "lineHeight" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "opacity" | "paddingBottom" | "paddingLeft" | "paddingRight" | "paddingTop" | "perspective" | "position" | "right" | "rotate" | "scale" | "textAlign" | "textDecorationColor" | "textDecorationLine" | "textDecorationStyle" | "textTransform" | "top" | "transform" | "width" | "borderColor" | "borderStyle" | "borderWidth" | "flex" | "margin" | "overflow" | "padding" | "elevation" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "textShadowColor" | "textShadowOffset" | "textShadowRadius" | "borderBottomEndRadius" | "borderBottomStartRadius" | "borderEndColor" | "borderStartColor" | "borderTopEndRadius" | "borderTopStartRadius" | "testID" | "borderEndWidth" | "borderStartWidth" | "end" | "marginEnd" | "marginHorizontal" | "marginStart" | "marginVertical" | "paddingEnd" | "paddingHorizontal" | "paddingStart" | "paddingVertical" | "start" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "writingDirection" | "textAlignVertical" | "includeFontPadding" | "resizeMode" | "overlayColor" | "tintColor" | "rotateX" | "rotateY" | "rotateZ" | "skewX" | "skewY", import("moti").TransitionConfig>>) | (import("react-native-reanimated").SharedValue<import("moti").MotiTransition<import("moti").StyleValueWithReplacedTransforms<import("react-native").ViewStyle | import("react-native").TextStyle | import("react-native").ImageStyle>>> & import("react-native-reanimated").SharedValue<import("moti").MotiTransition<import("moti").StyleValueWithReplacedTransforms<import("react-native").ImageStyle & import("react-native").TextStyle & import("react-native").ViewStyle>>>) | (import("react-native-reanimated").SharedValue<import("moti").MotiTransition<import("moti").StyleValueWithReplacedTransforms<import("react-native").ViewStyle | import("react-native").TextStyle | import("react-native").ImageStyle>>> & ((custom?: any) => import("moti").MotiTransition<import("moti").StyleValueWithReplacedTransforms<import("react-native").ImageStyle & import("react-native").TextStyle & import("react-native").ViewStyle>>)) | (((custom?: any) => import("moti").MotiTransition<import("moti").StyleValueWithReplacedTransforms<import("react-native").ViewStyle | import("react-native").TextStyle | import("react-native").ImageStyle>>) & {
        type?: "spring" | undefined;
    } & import("react-native-reanimated").WithSpringConfig & {
        delay?: number | undefined;
    } & {
        repeat?: number | undefined;
        loop?: boolean | undefined;
        repeatReverse?: boolean | undefined;
    } & Partial<Record<"borderRadius" | "color" | "fontWeight" | "borderTopWidth" | "zIndex" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "backfaceVisibility" | "backgroundColor" | "borderBottomColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomWidth" | "borderLeftColor" | "borderLeftWidth" | "borderRightColor" | "borderRightWidth" | "borderTopColor" | "borderTopLeftRadius" | "borderTopRightRadius" | "bottom" | "direction" | "display" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "fontFamily" | "fontSize" | "fontStyle" | "fontVariant" | "height" | "justifyContent" | "left" | "letterSpacing" | "lineHeight" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "opacity" | "paddingBottom" | "paddingLeft" | "paddingRight" | "paddingTop" | "perspective" | "position" | "right" | "rotate" | "scale" | "textAlign" | "textDecorationColor" | "textDecorationLine" | "textDecorationStyle" | "textTransform" | "top" | "transform" | "width" | "borderColor" | "borderStyle" | "borderWidth" | "flex" | "margin" | "overflow" | "padding" | "elevation" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "textShadowColor" | "textShadowOffset" | "textShadowRadius" | "borderBottomEndRadius" | "borderBottomStartRadius" | "borderEndColor" | "borderStartColor" | "borderTopEndRadius" | "borderTopStartRadius" | "testID" | "borderEndWidth" | "borderStartWidth" | "end" | "marginEnd" | "marginHorizontal" | "marginStart" | "marginVertical" | "paddingEnd" | "paddingHorizontal" | "paddingStart" | "paddingVertical" | "start" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "writingDirection" | "textAlignVertical" | "includeFontPadding" | "resizeMode" | "overlayColor" | "tintColor" | "rotateX" | "rotateY" | "rotateZ" | "skewX" | "skewY", import("moti").TransitionConfig>>) | (((custom?: any) => import("moti").MotiTransition<import("moti").StyleValueWithReplacedTransforms<import("react-native").ViewStyle | import("react-native").TextStyle | import("react-native").ImageStyle>>) & {
        type: "timing";
    } & import("react-native-reanimated").WithTimingConfig & {
        delay?: number | undefined;
    } & {
        repeat?: number | undefined;
        loop?: boolean | undefined;
        repeatReverse?: boolean | undefined;
    } & Partial<Record<"borderRadius" | "color" | "fontWeight" | "borderTopWidth" | "zIndex" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "backfaceVisibility" | "backgroundColor" | "borderBottomColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomWidth" | "borderLeftColor" | "borderLeftWidth" | "borderRightColor" | "borderRightWidth" | "borderTopColor" | "borderTopLeftRadius" | "borderTopRightRadius" | "bottom" | "direction" | "display" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "fontFamily" | "fontSize" | "fontStyle" | "fontVariant" | "height" | "justifyContent" | "left" | "letterSpacing" | "lineHeight" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "opacity" | "paddingBottom" | "paddingLeft" | "paddingRight" | "paddingTop" | "perspective" | "position" | "right" | "rotate" | "scale" | "textAlign" | "textDecorationColor" | "textDecorationLine" | "textDecorationStyle" | "textTransform" | "top" | "transform" | "width" | "borderColor" | "borderStyle" | "borderWidth" | "flex" | "margin" | "overflow" | "padding" | "elevation" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "textShadowColor" | "textShadowOffset" | "textShadowRadius" | "borderBottomEndRadius" | "borderBottomStartRadius" | "borderEndColor" | "borderStartColor" | "borderTopEndRadius" | "borderTopStartRadius" | "testID" | "borderEndWidth" | "borderStartWidth" | "end" | "marginEnd" | "marginHorizontal" | "marginStart" | "marginVertical" | "paddingEnd" | "paddingHorizontal" | "paddingStart" | "paddingVertical" | "start" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "writingDirection" | "textAlignVertical" | "includeFontPadding" | "resizeMode" | "overlayColor" | "tintColor" | "rotateX" | "rotateY" | "rotateZ" | "skewX" | "skewY", import("moti").TransitionConfig>>) | (((custom?: any) => import("moti").MotiTransition<import("moti").StyleValueWithReplacedTransforms<import("react-native").ViewStyle | import("react-native").TextStyle | import("react-native").ImageStyle>>) & {
        type: "decay";
    } & import("react-native-reanimated").WithDecayConfig & {
        delay?: number | undefined;
    } & {
        repeat?: number | undefined;
        loop?: boolean | undefined;
        repeatReverse?: boolean | undefined;
    } & Partial<Record<"borderRadius" | "color" | "fontWeight" | "borderTopWidth" | "zIndex" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "backfaceVisibility" | "backgroundColor" | "borderBottomColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomWidth" | "borderLeftColor" | "borderLeftWidth" | "borderRightColor" | "borderRightWidth" | "borderTopColor" | "borderTopLeftRadius" | "borderTopRightRadius" | "bottom" | "direction" | "display" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "fontFamily" | "fontSize" | "fontStyle" | "fontVariant" | "height" | "justifyContent" | "left" | "letterSpacing" | "lineHeight" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "opacity" | "paddingBottom" | "paddingLeft" | "paddingRight" | "paddingTop" | "perspective" | "position" | "right" | "rotate" | "scale" | "textAlign" | "textDecorationColor" | "textDecorationLine" | "textDecorationStyle" | "textTransform" | "top" | "transform" | "width" | "borderColor" | "borderStyle" | "borderWidth" | "flex" | "margin" | "overflow" | "padding" | "elevation" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "textShadowColor" | "textShadowOffset" | "textShadowRadius" | "borderBottomEndRadius" | "borderBottomStartRadius" | "borderEndColor" | "borderStartColor" | "borderTopEndRadius" | "borderTopStartRadius" | "testID" | "borderEndWidth" | "borderStartWidth" | "end" | "marginEnd" | "marginHorizontal" | "marginStart" | "marginVertical" | "paddingEnd" | "paddingHorizontal" | "paddingStart" | "paddingVertical" | "start" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "writingDirection" | "textAlignVertical" | "includeFontPadding" | "resizeMode" | "overlayColor" | "tintColor" | "rotateX" | "rotateY" | "rotateZ" | "skewX" | "skewY", import("moti").TransitionConfig>>) | (((custom?: any) => import("moti").MotiTransition<import("moti").StyleValueWithReplacedTransforms<import("react-native").ViewStyle | import("react-native").TextStyle | import("react-native").ImageStyle>>) & import("react-native-reanimated").SharedValue<import("moti").MotiTransition<import("moti").StyleValueWithReplacedTransforms<import("react-native").ImageStyle & import("react-native").TextStyle & import("react-native").ViewStyle>>>) | (((custom?: any) => import("moti").MotiTransition<import("moti").StyleValueWithReplacedTransforms<import("react-native").ViewStyle | import("react-native").TextStyle | import("react-native").ImageStyle>>) & ((custom?: any) => import("moti").MotiTransition<import("moti").StyleValueWithReplacedTransforms<import("react-native").ImageStyle & import("react-native").TextStyle & import("react-native").ViewStyle>>)) | undefined;
    from?: ((boolean | Partial<import("moti").StyleValueWithSequenceArraysWithoutTransform<import("moti").StyleValueWithReplacedTransforms<import("react-native").ViewStyle | import("react-native").TextStyle | import("react-native").ImageStyle>, "borderRadius" | "borderTopWidth" | "zIndex" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "backfaceVisibility" | "backgroundColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomWidth" | "borderLeftWidth" | "borderRightWidth" | "borderTopLeftRadius" | "borderTopRightRadius" | "bottom" | "direction" | "display" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "height" | "justifyContent" | "left" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "opacity" | "paddingBottom" | "paddingLeft" | "paddingRight" | "paddingTop" | "perspective" | "position" | "right" | "rotate" | "scale" | "top" | "transform" | "width" | "borderColor" | "borderWidth" | "flex" | "margin" | "overflow" | "padding" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "borderEndWidth" | "borderStartWidth" | "end" | "marginEnd" | "marginHorizontal" | "marginStart" | "marginVertical" | "paddingEnd" | "paddingHorizontal" | "paddingStart" | "paddingVertical" | "start" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "rotateX" | "rotateY" | "rotateZ" | "skewX" | "skewY", "borderRadius" | "borderTopWidth" | "zIndex" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "backfaceVisibility" | "backgroundColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomWidth" | "borderLeftWidth" | "borderRightWidth" | "borderTopLeftRadius" | "borderTopRightRadius" | "bottom" | "direction" | "display" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "height" | "justifyContent" | "left" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "opacity" | "paddingBottom" | "paddingLeft" | "paddingRight" | "paddingTop" | "perspective" | "position" | "right" | "rotate" | "scale" | "top" | "width" | "borderColor" | "borderWidth" | "flex" | "margin" | "overflow" | "padding" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "borderEndWidth" | "borderStartWidth" | "end" | "marginEnd" | "marginHorizontal" | "marginStart" | "marginVertical" | "paddingEnd" | "paddingHorizontal" | "paddingStart" | "paddingVertical" | "start" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "rotateX" | "rotateY" | "rotateZ" | "skewX" | "skewY"> & import("moti").StyleValueWithSequenceArraysWithTransform>) & (boolean | Partial<import("moti").StyleValueWithSequenceArraysWithoutTransform<import("moti").StyleValueWithReplacedTransforms<import("react-native").ImageStyle & import("react-native").TextStyle & import("react-native").ViewStyle>, "borderRadius" | "color" | "fontWeight" | "borderTopWidth" | "zIndex" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "backfaceVisibility" | "backgroundColor" | "borderBottomColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomWidth" | "borderLeftColor" | "borderLeftWidth" | "borderRightColor" | "borderRightWidth" | "borderTopColor" | "borderTopLeftRadius" | "borderTopRightRadius" | "bottom" | "direction" | "display" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "fontFamily" | "fontSize" | "fontStyle" | "fontVariant" | "height" | "justifyContent" | "left" | "letterSpacing" | "lineHeight" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "opacity" | "paddingBottom" | "paddingLeft" | "paddingRight" | "paddingTop" | "perspective" | "position" | "right" | "rotate" | "scale" | "textAlign" | "textDecorationColor" | "textDecorationLine" | "textDecorationStyle" | "textTransform" | "top" | "transform" | "width" | "borderColor" | "borderStyle" | "borderWidth" | "flex" | "margin" | "overflow" | "padding" | "elevation" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "textShadowColor" | "textShadowOffset" | "textShadowRadius" | "borderBottomEndRadius" | "borderBottomStartRadius" | "borderEndColor" | "borderStartColor" | "borderTopEndRadius" | "borderTopStartRadius" | "testID" | "borderEndWidth" | "borderStartWidth" | "end" | "marginEnd" | "marginHorizontal" | "marginStart" | "marginVertical" | "paddingEnd" | "paddingHorizontal" | "paddingStart" | "paddingVertical" | "start" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "writingDirection" | "textAlignVertical" | "includeFontPadding" | "resizeMode" | "overlayColor" | "tintColor" | "rotateX" | "rotateY" | "rotateZ" | "skewX" | "skewY", "borderRadius" | "color" | "fontWeight" | "borderTopWidth" | "zIndex" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "backfaceVisibility" | "backgroundColor" | "borderBottomColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomWidth" | "borderLeftColor" | "borderLeftWidth" | "borderRightColor" | "borderRightWidth" | "borderTopColor" | "borderTopLeftRadius" | "borderTopRightRadius" | "bottom" | "direction" | "display" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "fontFamily" | "fontSize" | "fontStyle" | "fontVariant" | "height" | "justifyContent" | "left" | "letterSpacing" | "lineHeight" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "opacity" | "paddingBottom" | "paddingLeft" | "paddingRight" | "paddingTop" | "perspective" | "position" | "right" | "rotate" | "scale" | "textAlign" | "textDecorationColor" | "textDecorationLine" | "textDecorationStyle" | "textTransform" | "top" | "width" | "borderColor" | "borderStyle" | "borderWidth" | "flex" | "margin" | "overflow" | "padding" | "elevation" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "textShadowColor" | "textShadowOffset" | "textShadowRadius" | "borderBottomEndRadius" | "borderBottomStartRadius" | "borderEndColor" | "borderStartColor" | "borderTopEndRadius" | "borderTopStartRadius" | "testID" | "borderEndWidth" | "borderStartWidth" | "end" | "marginEnd" | "marginHorizontal" | "marginStart" | "marginVertical" | "paddingEnd" | "paddingHorizontal" | "paddingStart" | "paddingVertical" | "start" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "writingDirection" | "textAlignVertical" | "includeFontPadding" | "resizeMode" | "overlayColor" | "tintColor" | "rotateX" | "rotateY" | "rotateZ" | "skewX" | "skewY"> & import("moti").StyleValueWithSequenceArraysWithTransform>)) | undefined;
    fromSx?: import("dripsy").SxProp | undefined;
    onDidAnimate?: import("moti").OnDidAnimate<import("moti").StyleValueWithReplacedTransforms<import("react-native").ImageStyle & import("react-native").TextStyle & import("react-native").ViewStyle>, "borderRadius" | "color" | "fontWeight" | "borderTopWidth" | "zIndex" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "backfaceVisibility" | "backgroundColor" | "borderBottomColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomWidth" | "borderLeftColor" | "borderLeftWidth" | "borderRightColor" | "borderRightWidth" | "borderTopColor" | "borderTopLeftRadius" | "borderTopRightRadius" | "bottom" | "direction" | "display" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "fontFamily" | "fontSize" | "fontStyle" | "fontVariant" | "height" | "justifyContent" | "left" | "letterSpacing" | "lineHeight" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "opacity" | "paddingBottom" | "paddingLeft" | "paddingRight" | "paddingTop" | "perspective" | "position" | "right" | "rotate" | "scale" | "textAlign" | "textDecorationColor" | "textDecorationLine" | "textDecorationStyle" | "textTransform" | "top" | "transform" | "width" | "borderColor" | "borderStyle" | "borderWidth" | "flex" | "margin" | "overflow" | "padding" | "elevation" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "textShadowColor" | "textShadowOffset" | "textShadowRadius" | "borderBottomEndRadius" | "borderBottomStartRadius" | "borderEndColor" | "borderStartColor" | "borderTopEndRadius" | "borderTopStartRadius" | "testID" | "borderEndWidth" | "borderStartWidth" | "end" | "marginEnd" | "marginHorizontal" | "marginStart" | "marginVertical" | "paddingEnd" | "paddingHorizontal" | "paddingStart" | "paddingVertical" | "start" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "writingDirection" | "textAlignVertical" | "includeFontPadding" | "resizeMode" | "overlayColor" | "tintColor" | "rotateX" | "rotateY" | "rotateZ" | "skewX" | "skewY"> | undefined;
    state?: Pick<import("moti").UseAnimationState<any>, "__state"> | undefined;
    stylePriority?: "animate" | "state" | undefined;
    onHoverIn?: (() => void) | undefined;
    onHoverOut?: (() => void) | undefined;
    onKeyDown?: ((e: KeyboardEvent) => void) | undefined;
    onKeyUp?: ((e: KeyboardEvent) => void) | undefined;
    onLongPress?: ((() => void) & ((event: import("react-native").GestureResponderEvent) => void)) | undefined;
    onPress?: ((() => void) & ((event: import("react-native").GestureResponderEvent) => void)) | undefined;
    onPressIn?: ((() => void) & ((event: import("react-native").GestureResponderEvent) => void)) | undefined;
    onPressOut?: ((() => void) & ((event: import("react-native").GestureResponderEvent) => void)) | undefined;
    style?: ((false | import("react-native").ViewStyle | import("react-native").RegisteredStyle<import("react-native").ViewStyle> | import("react-native").RecursiveArray<import("react-native").ViewStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").ViewStyle>>) & (false | import("react-native").TextStyle | import("react-native").RegisteredStyle<import("react-native").TextStyle> | import("react-native").RecursiveArray<import("react-native").TextStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").TextStyle>>)) | null | undefined;
    sx?: import("dripsy").SxProp | undefined;
    allowFontScaling?: boolean | undefined;
    ellipsizeMode?: "clip" | "middle" | "head" | "tail" | undefined;
    lineBreakMode?: "clip" | "middle" | "head" | "tail" | undefined;
    numberOfLines?: number | undefined;
    onLayout?: (((event: import("react-native").LayoutChangeEvent) => void) & ((event: import("react-native").LayoutChangeEvent) => void)) | undefined;
    onTextLayout?: ((event: import("react-native").NativeSyntheticEvent<import("react-native").TextLayoutEventData>) => void) | undefined;
    nativeID?: string | undefined;
    maxFontSizeMultiplier?: number | null | undefined;
    adjustsFontSizeToFit?: boolean | undefined;
    minimumFontScale?: number | undefined;
    suppressHighlighting?: boolean | undefined;
    disabled?: boolean | undefined;
    selectable?: boolean | undefined;
    selectionColor?: import("react-native").ColorValue | undefined;
    textBreakStrategy?: "simple" | "highQuality" | "balanced" | undefined;
    dataDetectorType?: "all" | "none" | "link" | "email" | "phoneNumber" | null | undefined;
    android_hyphenationFrequency?: "none" | "normal" | "full" | undefined;
    accessible?: boolean | undefined;
    accessibilityActions?: readonly Readonly<{
        name: string;
        label?: string | undefined;
    }>[] | undefined;
    accessibilityLabel?: string | undefined;
    accessibilityRole?: import("react-native").AccessibilityRole | undefined;
    accessibilityState?: import("react-native").AccessibilityState | undefined;
    accessibilityHint?: string | undefined;
    accessibilityValue?: import("react-native").AccessibilityValue | undefined;
    onAccessibilityAction?: ((event: import("react-native").AccessibilityActionEvent) => void) | undefined;
    accessibilityLabelledBy?: string | string[] | undefined;
    accessibilityLiveRegion?: "none" | "polite" | "assertive" | undefined;
    importantForAccessibility?: "auto" | "no" | "yes" | "no-hide-descendants" | undefined;
    accessibilityElementsHidden?: boolean | undefined;
    accessibilityLanguage?: string | undefined;
    accessibilityViewIsModal?: boolean | undefined;
    onAccessibilityEscape?: (() => void) | undefined;
    onAccessibilityTap?: (() => void) | undefined;
    onMagicTap?: (() => void) | undefined;
    accessibilityIgnoresInvertColors?: boolean | undefined;
    themeKey?: keyof import("dripsy").Theme | undefined;
    as?: import("react").ComponentType<any> | undefined;
    id?: string | undefined;
    href?: string | undefined;
    onFocus?: (() => void) | undefined;
    onBlur?: (() => void) | undefined;
    hitSlop?: import("react-native").Insets | undefined;
    containerStyle?: import("react-native").ViewStyle | undefined;
    dangerouslySilenceDuplicateIdsWarning?: boolean | undefined;
    pressedValue?: {
        value: boolean;
    } | undefined;
    hoveredValue?: {
        value: boolean;
    } | undefined;
    onContainerLayout?: ((event: import("react-native").LayoutChangeEvent) => void) | undefined;
}, "alignItems" | "flexDirection" | "justifyContent" | keyof import("dripsy").StyledProps<ThemeKey>> & FlexStyles & import("dripsy").StyledProps<keyof import("dripsy").Theme> & {
    children?: import("react").ReactNode;
} & import("react").RefAttributes<never>>;
export declare type FlexProps = BoxProps & FlexStyles;
export {};
